*-------------------------------------------------------------------------*
*                                                                          
*                     SPSS SETUP FILE FOR ICPSR 06843
*          NATIONAL HOUSEHOLD SURVEY ON DRUG ABUSE (NHSDA), 1979
* 
*
*  SPSS setup sections are provided for the ASCII version of this data
*  collection.  These sections are listed below:
*
*  DATA LIST:  assigns the name, type, decimal specification (if any),
*  and specifies the beginning and ending column locations for each
*  variable in the data file. Users must replace the "data-filename"
*  in the DATA LIST statement with a filename specifying the directory
*  on the user's computer system in which the downloaded and unzipped
*  data file is physically located (e.g., "c:\temp\06843-0001-data.txt").
*
*  VARIABLE LABELS:  assigns descriptive labels to all variables.
*  Labels and variable names may be identical for some data files.
*
*  MISSING VALUES: declares user-defined missing values. Not all
*  variables in this data set necessarily have user-defined missing
*  values. These values can be treated specially in data transformations,
*  statistical calculations, and case selection.
*
*  VALUE LABELS: assigns descriptive labels to codes found in the data
*  file.  Not all codes necessarily have assigned value labels.
*
*  NOTE:  Users should modify this setup file to suit their specific 
*  needs. The MISSING VALUES section has been commented out (i.e., '*').
*  To include the MISSING VALUES section in the final SPSS setup, remove 
*  the comment indicators from the desired section.
*
*  CREATING A PERMANENT SPSS DATA FILE: If users wish to create and save
*  an SPSS data file for further analysis using SPSS for Windows, the
*  necessary "SAVE OUTFILE" command is provided in the last line of
*  this file.  To activate the command, users must delete the leading
*  asterisk (*) and replace "spss-filename" with a filename specifying
*  the location on the user's computer system to which the new data file
*  will be saved (e.g., SAVE OUTFILE="c:\spsswin\data\da06843-0001.sav").
*
*-------------------------------------------------------------------------.

* SPSS FILE HANDLE AND DATA LIST COMMANDS.

FILE HANDLE DATA / NAME="data-filename" LRECL=1202.
DATA LIST FILE=DATA /
              CASEID 1-4              RESPID 5-8             ENCPSU 9-11
            ENCSEG 12-14           ENCCASE 15-18          CIGMORLS 19-20
            CIGTRY 21-22            CIG5PK 23-24            CIGREC 25-26
             AVCIG 27-28            HRDHER 29-30             HRDMJ 31-32
            HRDCOC 33-34            HRDLSD 35-36            HRDBAR 37-38
            HRDTRN 39-40            HRDAMP 41-42               ADDHER 43
               ADDALC 44                ADDMJ 45               ADDTOB 46
               ADDBAR 47               ADDTRN 48               ADDAMP 49
               ADDLSD 50               ADDCOC 51              ADDNONE 52
           SEDLIKE 53-54           SEDFEEL 55-56           SEDNEED 57-58
            SEDREC 59-60          SED30MOA 61-62          SED30MOB 63-64
          SED30MOC 65-66          SEDDAL30 67-68           BUTISOL 69-70
          BUTICAPS 71-72            AMYTAL 73-74          ESKABARB 75-76
           LUMINAL 77-78           MEBARAL 79-80           AMOBARB 81-82
          PHENOBAR 83-84           ALURATE 85-86          PLACIDYL 87-88
           DORIDEN 89-90           NOLUDAR 91-92             SOPOR 93-94
          QUAALUDE 95-96            PAREST 97-98           NOCTEC 99-100
          METHAQ 101-102           CHHYD 103-104        NEMBUTAL 105-106
         CARBTAL 107-108         SECONAL 109-110          TUINAL 111-112
          PENTOB 113-114           SECOB 115-116         DALMANE 117-118
        SEDDKNAM 119-120         NOSEDAT 121-122          SEDAGE 123-124
         TRNLIKE 125-126         TRNFEEL 127-128         TRNNEED 129-130
         TRANREC 131-132        TRN30MOA 133-134        TRN30MOB 135-136
        TRN30MOC 137-138        TRNBEN30 139-140          VALIUM 141-142
         LIBRIUM 143-144        LIBRITAB 145-146            SKLY 147-148
           SERAX 149-150        TRANXENE 151-152          ATIVAN 153-154
        VERSTRAN 155-156        MEPRSPAN 157-158         MILTOWN 159-160
         EQUANIL 161-162          MEPROB 163-164          VISTAR 165-166
          ATARAX 167-168        BENADRYL 169-170         TRDKNAM 171-172
         NOTRANQ 173-174         TRANAGE 175-176        STIMLIKE 177-178
        STIMFEEL 179-180        STIMNEED 181-182         STIMREC 183-184
        STM30MOA 185-186        STM30MOB 187-188        STMRIT30 189-190
        STMCYL30 191-192           DEXED 193-194         DEXAMYL 195-196
           ESKAT 197-198            BENZ 199-200          BIPHET 201-202
         DESOXYN 203-204          DETAMP 205-206           METHI 207-208
            OBLA 209-210         TENUATE 211-212         TEPANIL 213-214
          DIDREX 215-216         PLEGINE 217-218        PRELUDIN 219-220
         PRESATE 221-222         IONAMIN 223-224        PONDIMIN 225-226
         VORANIL 227-228         SANOREX 229-230         RITALIN 231-232
          CYLERT 233-234        STMDKNAM 235-236         NOSTIMS 237-238
         STIMAGE 239-240        ANALLIKE 241-242        ANALFEEL 243-244
        ANALNEED 245-246         ANALREC 247-248        ANL30MOA 249-250
        ANL30MOB 251-252        ANL30MOC 253-254        ANLTAL30 255-256
          DARVON 257-258          DOLENE 259-260           SK65A 261-262
         PROPOXY 263-264        LERITINE 265-266         LEVODRO 267-268
        PERCODAN 269-270         DEMEROL 271-272          DILAUD 273-274
          TYLCOD 275-276         CODEINE 277-278           DOLOP 279-280
        WESTODON 281-282         METHDON 283-284          TALWIN 285-286
        ANLDKNAM 287-288        ANALNONE 289-290         ANALAGE 291-292
        ALCFIRST 293-294          ALCTRY 295-296          ALCREC 297-298
         ALCDAYS 299-300         MODR30A 301-302        MODR30DY 303-304
        UNDSTAS1 305-306         VRA7AS1 307-308        MRKEAAS1 309-310
         VRA8AS1 311-312         MJKNOWN 313-314           MJOPP 315-316
         MJFIRST 317-318           MJAGE 319-320          MJLIVE 321-322
           MJREC 323-324        MJDAY30A 325-326           MJTOT 327-328
        UNDSTAS2 329-330         VRM9AS2 331-332        MRKEAAS2 333-334
        VRM10AS2 335-336         INHREAD 337-338          INHOPP 339-340
        INHFIRST 341-342          INHAGE 343-344             GAS 345-346
         SPPAINT 347-348           AEROS 349-350            GLUE 351-352
         SOLVENT 353-354         AMYLNIT 355-356           ETHER 357-358
         NITOXID 359-360        ODORIZER 361-362        INHNEVER 363-364
          GAS30A 365-366        SPPAN30A 367-368        AEROS30A 369-370
         GLUE30A 371-372        SOLVN30A 373-374        AMLNT30A 375-376
        ETHER30A 377-378          NOX30A 379-380          ODR30A 381-382
         INH30NO 383-384          INHREC 385-386          INHTOT 387-388
        INHODRHR 389-390        INHODRUS 391-392        UNDSTAS3 393-394
        VRG10AS3 395-396        MRKEAAS3 397-398        VRG11AS3 399-400
         HALLOPP 401-402        HALFIRST 403-404         HALLAGE 405-406
         HALLREC 407-408        HAL30USE 409-410         HALLTOT 411-412
        HALPCPHR 413-414             PCP 415-416        HALPCP30 417-418
        UNDSTAS4 419-420        VRL10AS4 421-422        MRKEAAS4 423-424
        VRL11AS4 425-426          COCOPP 427-428        COCFIRST 429-430
          COCAGE 431-432          COCREC 433-434        COCUS30A 435-436
          COCTOT 437-438        UNDSTAS5 439-440         VRC7AS5 441-442
        MRKEAAS5 443-444         VRC8AS5 445-446         HERKNOW 447-448
          HEROPP 449-450        HERFIRST 451-452          HERAGE 453-454
          HERREC 455-456        HER30USE 457-458          HERTOT 459-460
        HERFRNDS 461-462        HERNOADR 463-464        HERNEEDL 465-466
        UNDSTAS6 467-468        VRH11AS6 469-470        MRKEAAS6 471-472
        VRH12AS6 473-474          SPLCOC 475-476          SPLHAL 477-478
          SPLCIG 479-480          SPLHER 481-482         SPLBEER 483-484
          SPLLQR 485-486          SPLMJR 487-488        SPLPILLS 489-490
          SPLINH 491-492         GMJNOHO 493-494         GMJNONE 495-496
          GMJMED 497-498          GMJJOB 499-500          GMJFUN 501-502
        GMJRELAX 503-504        GMJAWARE 505-506        GMJCNFDN 507-508
         GMJDEAL 509-510        GMJSLEEP 511-512          GMJSEX 513-514
        GMJAPPET 515-516           GMJDK 517-518         GMJMISC 519-520
         GMJREF1 521-522        BMJCONTR 523-524        BMJMEMRY 525-526
         BMJNONE 527-528        BMJHABIT 529-530        BMJSTRGR 531-532
         BMJHLTH 533-534        BMJDIZZY 535-536        BMJREFLX 537-538
         BMJMOOD 539-540        BMJHALLU 541-542        BMJAPTHY 543-544
          BMJJOB 545-546        BMJDRIVE 547-548        BMJILLEG 549-550
        BMJCRIME 551-552        BMJEXPNS 553-554           BMJDK 555-556
         BMJMISC 557-558         BMJREF1 559-560          MJHIGH 561-562
        MJDRHIGH 563-564         MJOTHDR 565-566         MJPUFFS 567-568
        MJDRPUFF 569-570        MJOTHPUF 571-572        MJINVOLV 573-574
        MJCAREMR 575-576        MJCRMORE 577-578        MJOTHMOR 579-580
        MJCARELS 581-582        MJCRLESS 583-584        MJOTHLES 585-586
         MJWKEND 587-588        MJCRWKEN 589-590        MJOTHWKN 591-592
          ALHIGH 593-594        ALDRHIGH 595-596         ALOTHDR 597-598
          ALSOME 599-600        ALDRSOME 601-602        ALOTHSOM 603-604
        ALOTHDRK 605-606        ALYOUDRK 607-608        CLOSFRNS 609-610
         FRNSHER 611-612          FRNSEX 613-614          FRNAGE 615-616
         FRNTRYH 617-618         FRNRECH 619-620         SEENUSE 621-622
         CONFESS 623-624         TESTMNY 625-626        TRACKMRK 627-628
          ARREST 629-630         UNPRREF 631-632         UNPRREP 633-634
         UNPRBEH 635-636         UNPROTH 637-638        AMBULANC 639-640
        DETECOTH 641-642        GIVESELL 643-644        TREATMNT 645-646
         OTHKNOW 647-648        LVDHEREA 649-650        LVDHEREB 651-652
        EVRLIVEA 653-654         AGEINA1 655-656        AGEOUTA1 657-658
         AGEINA2 659-660        AGEOUTA2 661-662         AGEINA3 663-664
        AGEOUTA3 665-666        ALLLIFEA 667-668        EVRLIVEB 669-670
         AGEINB1 671-672        AGEOUTB1 673-674         AGEINB2 675-676
        AGEOUTB2 677-678         AGEINB3 679-680        AGEOUTB3 681-682
        ALLLIFEB 683-684        EVRLIVEC 685-686         AGEINC1 687-688
        AGEOUTC1 689-690         AGEINC2 691-692        AGEOUTC2 693-694
         AGEINC3 695-696        AGEOUTC3 697-698        ALLLIFEC 699-700
                 SEX 701         RESPAGE 702-703        HISPANIC 704-705
         HISPGRP 706-707        RESPRACE 708-709             RAGEGRP 710
        ENRLCOLL 711-712        TYPESCHL 713-714        STUDFTPT 715-716
            EDUC 717-718         TOTPEOP 719-720        UNDAGE18 721-722
         UNDAGE6 723-724          AGE612 725-726         AGE1217 727-728
         HHPAREN 729-730        NUMPAREN 731-732         HHSPOUS 733-734
        NUMSPOUS 735-736         HHSIBLN 737-738        NUMSIBLN 739-740
         HHOTREL 741-742        NUMOTREL 743-744         HHFRNDS 745-746
        NUMFRNDS 747-748         HHOTPER 749-750        NUMOTPER 751-752
         MARITAL 753-754        EMPLOYED 755-756         ROCCUP2 757-759
         NOLABOR 760-761             CWE 762-763         CWEOCC2 764-766
          INCOME 767-768         ESTHHIN 769-770         YTHSTUD 771-772
        YSTDFTPT 773-774         YTHEDUC 775-776        YTOTPEOP 777-778
          MOTHER 779-780          FATHER 781-782         OLDSIBS 783-784
        NUMOSIBS 785-786         YNGSIBS 787-788        NUMYSIBS 789-790
        YTHOTREL 791-792        NUMYOREL 793-794        YTHOTPER 795-796
        NUMYOPER 797-798         OTHSIBS 799-800        YTHEMPLD 801-802
        YTHOCCU2 803-805        YNOLABOR 806-807          HHAREA 808-809
        MILINSTA 810-811         LOGCAMP 812-813         COLLEGE 814-815
          RESORT 816-817          CONSTR 818-819           RANCH 820-821
        MIGRANTS 822-823         TEMPRES 824-825          HHTYPE 826-827
          UNDINT 828-829         COOPINT 830-831         PRIVACY 832-833
            ADULTYTH 834        PAREXAMQ 835-836         ADLTQCD 837-838
            QUEXTYPE 839         INTVLEN 840-841            FIID 842-845
        TOTHHVIS 846-847        FINLRES1 848-849        VSADLTCM 850-851
        PHADLTCM 852-853        FINLRES2 854-855         VSYTHCM 856-857
         PHYTHCM 858-859         YTHINHH 860-861         RES1825 862-863
         RES2649 864-865        RES50OVR 866-867        AGR1REL1 868-869
        AGR1SEX1 870-871        AGR1AGE1 872-873        AGR1RSP1 874-875
        AGR1REL2 876-877        AGR1SEX2 878-879        AGR1AGE2 880-881
        AGR1RSP2 882-883        AGR1REL3 884-885        AGR1SEX3 886-887
        AGR1AGE3 888-889        AGR1RSP3 890-891        AGR1REL4 892-893
        AGR1SEX4 894-895        AGR1AGE4 896-897        AGR1RSP4 898-899
        AGR2REL1 900-901        AGR2SEX1 902-903        AGR2AGE1 904-905
        AGR2RSP1 906-907        AGR2REL2 908-909        AGR2SEX2 910-911
        AGR2AGE2 912-913        AGR2RSP2 914-915        AGR2REL3 916-917
        AGR2SEX3 918-919        AGR2AGE3 920-921        AGR2RSP3 922-923
        AGR2REL4 924-925        AGR2SEX4 926-927        AGR2AGE4 928-929
        AGR2RSP4 930-931        AGR3REL1 932-933        AGR3SEX1 934-935
        AGR3AGE1 936-938        AGR3RSP1 939-940        AGR3REL2 941-942
        AGR3SEX2 943-944        AGR3AGE2 945-947        AGR3RSP2 948-949
        AGR3REL3 950-951        AGR3SEX3 952-953        AGR3AGE3 954-956
        AGR3RSP3 957-958        AGR3REL4 959-960        AGR3SEX4 961-962
        AGR3AGE4 963-965        AGR3RSP4 966-967         YTH1217 968-969
         YTH1REL 970-971         YTH1SEX 972-973         YTH1AGE 974-975
         YTH1RSP 976-977         YTH2REL 978-979         YTH2SEX 980-981
         YTH2AGE 982-983         YTH2RSP 984-985         YTH3REL 986-987
         YTH3SEX 988-989         YTH3AGE 990-991         YTH3RSP 992-993
         YTH4REL 994-995         YTH4SEX 996-997         YTH4AGE 998-999
       YTH4RSP 1000-1001             REGION 1002           DIVISION 1003
            POPDENX 1004         IRAGE 1005-1006              IIAGE 1007
              IRSEX 1008              IISEX 1009            IRRACEX 1010
            IIRACEX 1011            IRHOIND 1012            IIHOIND 1013
            IRHOGRP 1014            IIHOGRP 1015            IRMARIT 1016
            IIMARIT 1017             IREDUC 1018             IIEDUC 1019
            IRALCRC 1020            IIALCRC 1021             IRMJRC 1022
             IIMJRC 1023            IRCOCRC 1024            IICOCRC 1025
            IRSEDRC 1026            IISEDRC 1027           IRTRANRC 1028
           IITRANRC 1029           IRSTIMRC 1030           IISTIMRC 1031
           IRANALRC 1032           IIANALRC 1033            IRCIGRC 1034
            IICIGRC 1035            IRINHRC 1036            IIINHRC 1037
           IRHALLRC 1038           IIHALLRC 1039            IRHERRC 1040
            IIHERRC 1041             CATAGE 1042             CATAG2 1043
             CATAG3 1044               RACE 1045           HISPRACE 1046
           EDUCCAT2 1047            HALFLAG 1048              HALYR 1049
             HALMON 1050            STMFLAG 1051              STMYR 1052
             STMMON 1053            SEDFLAG 1054              SEDYR 1055
             SEDMON 1056            TRQFLAG 1057              TRQYR 1058
             TRQMON 1059            ANLFLAG 1060              ANLYR 1061
             ANLMON 1062            ALCFLAG 1063              ALCYR 1064
             ALCMON 1065            CIGFLAG 1066              CIGYR 1067
             CIGMON 1068            HERFLAG 1069              HERYR 1070
             HERMON 1071            MRJFLAG 1072              MRJYR 1073
             MRJMON 1074            COCFLAG 1075              COCYR 1076
             COCMON 1077            INHFLAG 1078              INHYR 1079
             INHMON 1080           PSYFLAG2 1081             PSYYR2 1082
            PSYMON2 1083            SUMFLAG 1084              SUMYR 1085
             SUMMON 1086            MJOFLAG 1087             MJOYR2 1088
            MJOMON2 1089            IEMFLAG 1090              IEMYR 1091
             IEMMON 1092         VESTR 1093-1099              VEREP 1100
    ANALWT 1101-1111 (4)   CANALWT 1112-1122 (4)   NANALWT 1123-1133 (4)
    INITWT 1134-1140 (4)       WT1 1141-1150 (4)       WT2 1151-1156 (4)
   CINITWT 1157-1163 (4)      CWT1 1164-1173 (4)      CWT2 1174-1179 (4)
   NINITWT 1180-1186 (4)      NWT1 1187-1196 (4)      NWT2 1197-1202 (4)

   .

* SPSS VARIABLE LABELS COMMAND.

VARIABLE LABELS
   CASEID    'CASE IDENTIFICATION NUMBER' /
   RESPID    'RESPONDENT IDENTIFICATION NUMBER' /
   ENCPSU    'PRIMARY SAMPLING UNIT (ENCRYPTED)' /
   ENCSEG    'SEGMENT IDENTIFICATION NUMBER (ENCRYPTED' /
   ENCCASE   'HOUSEHOLD LEVEL IDENTIFICATION NUMBER (E' /
   CIGMORLS  'PEOPLE SMOKING MORE, LESS, ABOUT THE SAM' /
   CIGTRY    'AGE WHEN FIRST TRIED A CIGARETTE' /
   CIG5PK    'SMOKED AS MANY AS 5 PACKS DURING LIFE' /
   CIGREC    'MOST RECENT TIME HAD A CIGARETTE' /
   AVCIG     'AVG CIGS SMOKED PER DAY, DURING THE PAST' /
   HRDHER    'HEARD OF HEROIN' /
   HRDMJ     'HEARD OF MARIJUANA' /
   HRDCOC    'HEARD OF COCAINE' /
   HRDLSD    'HEARD OF LSD' /
   HRDBAR    'HEARD OF BARBITURATES' /
   HRDTRN    'HEARD OF TRANQUILIZERS' /
   HRDAMP    'HEARD OF AMPHETAMINES' /
   ADDHER    'R CONSIDERED HEROIN ADDICTIVE' /
   ADDALC    'R CONSIDERED ALCOHOL ADDICTIVE' /
   ADDMJ     'R CONSIDERED MARIJUANA ADDICTIVE' /
   ADDTOB    'R CONSIDERED TOBACCO ADDICTIVE' /
   ADDBAR    'R CONSIDERED BARBITURATES ADDICTIVE' /
   ADDTRN    'R CONSIDERED TRANQUILIZERS ADDICTIVE' /
   ADDAMP    'R CONSIDERED AMPHETAMINES ADDICTIVE' /
   ADDLSD    'R CONSIDERED LSD ADDICTIVE' /
   ADDCOC    'R CONSIDERED COCAINE ADDICTIVE' /
   ADDNONE   'NOTHING CIRCLED AS ADDICTIVE' /
   SEDLIKE   'EVER TAKE SEDATIVES JUST TO SEE WHAT IT' /
   SEDFEEL   'EVER TAKE SEDATIVES JUST TO ENJOY THE FE' /
   SEDNEED   'EVER TAKE SEDATIVES SOME OTHER NONMEDICA' /
   SEDREC    'MOST RECENT TIME TOOK SED FOR NONMEDICAL' /
   SED30MOA  'PAST 30 DAYS, DAYS TOOK GROUP B-I SEDATI' /
   SED30MOB  'PAST 30 DAYS, DAYS TOOK GROUP B-II SEDAT' /
   SED30MOC  'PAST 30 DAYS, DAYS TOOK GROUP B-III SEDA' /
   SEDDAL30  'PAST 30 DAYS, DAYS TOOK DALMANE' /
   BUTISOL   'BUTISOL EVER TAKEN FOR NONMEDICAL REASON' /
   BUTICAPS  'BUTICAPS EVER TAKEN FOR NONMEDICAL REASO' /
   AMYTAL    'AMYTAL EVER TAKEN FOR NONMEDICAL REASONS' /
   ESKABARB  'ESKABARB EVER TAKEN FOR NONMEDICAL REASO' /
   LUMINAL   'LUMINAL EVER TAKEN FOR NONMEDICAL REASON' /
   MEBARAL   'MEBARAL EVER TAKEN FOR NONMEDICAL REASON' /
   AMOBARB   'AMOBARBITAL EVER TAKEN FOR NONMEDICAL RE' /
   PHENOBAR  'PHENOBARBITAL EVER TAKEN FOR NONMEDICAL' /
   ALURATE   'ALURATE EVER TAKEN FOR NONMEDICAL REASON' /
   PLACIDYL  'PLACIDYL EVER TAKEN FOR NONMEDICAL REASO' /
   DORIDEN   'DORIDEN EVER TAKEN FOR NONMEDICAL REASON' /
   NOLUDAR   'NOLUDAR EVER TAKEN FOR NONMEDICAL REASON' /
   SOPOR     'SOPOR EVER TAKEN FOR NONMEDICAL REASONS' /
   QUAALUDE  'QUAALUDE EVER TAKEN FOR NONMEDICAL REASO' /
   PAREST    'PAREST EVER TAKEN FOR NONMEDICAL REASONS' /
   NOCTEC    'NOCTEC EVER TAKEN FOR NONMEDICAL REASONS' /
   METHAQ    'METHAQUALONE EVER TAKEN FOR NONMEDICAL R' /
   CHHYD     'CHLORAL HYDRATE EVER TAKEN FOR NONMEDICA' /
   NEMBUTAL  'NEMBUTAL EVER TAKEN FOR NONMEDICAL REASO' /
   CARBTAL   'CARBRITAL EVER TAKEN FOR NONMEDICAL REAS' /
   SECONAL   'SECONAL EVER TAKEN FOR NONMEDICAL REASON' /
   TUINAL    'TUINAL EVER TAKEN FOR NONMEDICAL REASONS' /
   PENTOB    'PENTOBARBITAL EVER TAKEN FOR NONMEDICAL' /
   SECOB     'SECOBARBITAL EVER TAKEN FOR NONMEDICAL R' /
   DALMANE   'DALMANE EVER TAKEN FOR NONMEDICAL REASON' /
   SEDDKNAM  'OTHER, NOT SURE' /
   NOSEDAT   'NONE TRIED' /
   SEDAGE    'AGE FIRST TOOK GROUP B SEDATIVES' /
   TRNLIKE   'EVER TAKE TRANQS JUST TO SEE WHAT THEY W' /
   TRNFEEL   'EVER TAKE TRANQS JUST TO ENJOY THE FEELI' /
   TRNNEED   'EVER TAKE TRANQS SOME OTHER NONMEDICAL R' /
   TRANREC   'MOST RECENT TIME TOOK TRANQS NONMEDICAL' /
   TRN30MOA  'PAST 30 DAYS, DAYS TOOK GROUP C-I TRANQU' /
   TRN30MOB  'PAST 30 DAYS, DAYS TOOK GROUP C-II TRANQ' /
   TRN30MOC  'PAST 30 DAYS, DAYS TOOK GROUP C-III TRAN' /
   TRNBEN30  'PAST 30 DAYS, DAYS TOOK BENADRYL' /
   VALIUM    'VALIUM EVER TAKEN FOR NONMEDICAL REASONS' /
   LIBRIUM   'LIBRIUM EVER TAKEN FOR NONMEDICAL REASON' /
   LIBRITAB  'LIBRITABS EVER TAKEN FOR NONMEDICAL REAS' /
   SKLY      'SK-LYGEN EVER TAKEN FOR NONMEDICAL REASO' /
   SERAX     'SERAX EVER TAKEN FOR NONMEDICAL REASONS' /
   TRANXENE  'TRANXENE EVER TAKEN FOR NONMEDICAL REASO' /
   ATIVAN    'ATIVAN EVER TAKEN FOR NONMEDICAL REASONS' /
   VERSTRAN  'VERSTRAN EVER TAKEN FOR NONMEDICAL REASO' /
   MEPRSPAN  'MEPROSPAN EVER TAKEN FOR NONMEDICAL REAS' /
   MILTOWN   'MILTOWN EVER TAKEN FOR NONMEDICAL REASON' /
   EQUANIL   'EQUANIL EVER TAKEN FOR NONMEDICAL REASON' /
   MEPROB    'MEPROBAMATE EVER TAKEN FOR NONMEDICAL RE' /
   VISTAR    'VISTARIL EVER TAKEN FOR NONMEDICAL REASO' /
   ATARAX    'ATARAX EVER TAKEN FOR NONMEDICAL REASONS' /
   BENADRYL  'BENADRYL EVER TAKEN FOR NONMEDICAL REASO' /
   TRDKNAM   'OTHER, NOT SURE' /
   NOTRANQ   'NONE TRIED' /
   TRANAGE   'AGE FIRST TIME TOOK GROUP C TRANQS' /
   STIMLIKE  'EVER TAKE STIMULANTS TO SEE WHAT THEY WE' /
   STIMFEEL  'EVER TAKE STIMULANTS JUST TO ENJOY THE F' /
   STIMNEED  'EVER TAKE STIMULANTS SOME OTHER NONMEDIC' /
   STIMREC   'MOST RECENT TIME TOOK STIMS NONMEDICAL R' /
   STM30MOA  'PAST 30 DAYS, DAYS TOOK GROUP D-I STIMUL' /
   STM30MOB  'PAST 30 DAYS, DAYS TOOK GROUP D-II STIMU' /
   STMRIT30  'PAST 30 DAYS, DAYS TOOK RITALIN' /
   STMCYL30  'PAST 30 DAYS, DAYS TOOK CYLERT' /
   DEXED     'DEXEDRINE EVER TAKEN FOR NONMEDICAL REAS' /
   DEXAMYL   'DEXAMYL EVER TAKEN FOR NONMEDICAL REASON' /
   ESKAT     'ESKATROL EVER TAKEN FOR NONMEDICAL REASO' /
   BENZ      'BENZEDRINE EVER TAKEN FOR NONMEDICAL REA' /
   BIPHET    'BIPHETAMINE EVER TAKEN FOR NONMEDICAL RE' /
   DESOXYN   'DESOXYN EVER TAKEN FOR NONMEDICAL REASON' /
   DETAMP    'DEXTROAMPHETAMINE EVER TAKEN FOR NONMEDI' /
   METHI     'METHEDRINE EVER TAKEN FOR NONMEDICAL REA' /
   OBLA      'OBEDRIN-LA EVER TAKEN FOR NONMEDICAL REA' /
   TENUATE   'TENUATE EVER TAKEN FOR NONMEDICAL REASON' /
   TEPANIL   'TEPANIL EVER TAKEN FOR NONMEDICAL REASON' /
   DIDREX    'DIDREX EVER TAKEN FOR NONMEDICAL REASONS' /
   PLEGINE   'PLEGINE EVER TAKEN FOR NONMEDICAL REASON' /
   PRELUDIN  'PRELUDIN EVER TAKEN FOR NONMEDICAL REASO' /
   PRESATE   'PRE-SATE EVER TAKEN FOR NONMEDICAL REASO' /
   IONAMIN   'IONAMIN EVER TAKEN FOR NONMEDICAL REASON' /
   PONDIMIN  'PONDIMIN EVER TAKEN FOR NONMEDICAL REASO' /
   VORANIL   'VORANIL EVER TAKEN FOR NONMEDICAL REASON' /
   SANOREX   'SANOREX EVER TAKEN FOR NONMEDICAL REASON' /
   RITALIN   'RITALIN EVER TAKEN FOR NONMEDICAL REASON' /
   CYLERT    'CYLERT EVER TAKEN FOR NONMEDICAL REASONS' /
   STMDKNAM  'OTHER, NOT SURE' /
   NOSTIMS   'R HAD NOT USED ANY DRUG FOR NONMEDICAL R' /
   STIMAGE   'AGE FIRST TOOK GROUP D STIMULANTS' /
   ANALLIKE  'EVER TAKE ANALGESICS TO SEE WHAT THEY WE' /
   ANALFEEL  'EVER TAKE ANALGESICS TO ENJOY THE FEELIN' /
   ANALNEED  'EVER TAKE ANALGESICS OTHER NONMEDICAL RE' /
   ANALREC   'MOST RECENT TIME TOOK ANALGESICS NONMED' /
   ANL30MOA  'PAST 30 DAYS, DAYS TOOK GROUP E-I ANALGE' /
   ANL30MOB  'PAST 30 DAYS, DAYS TOOK GROUP E-II ANALG' /
   ANL30MOC  'PAST 30 DAYS, DAYS TOOK GROUP E-III ANAL' /
   ANLTAL30  'PAST 30 DAYS, DAYS TOOK TALWIN' /
   DARVON    'DARVON EVER TAKEN FOR NONMEDICAL REASONS' /
   DOLENE    'DOLENE EVER TAKEN FOR NONMEDICAL REASONS' /
   SK65A     'SK-65 EVER TAKEN FOR NONMEDICAL REASONS' /
   PROPOXY   'PROPOXYPHENE EVER TAKEN FOR NONMEDICAL R' /
   LERITINE  'LERITINE EVER TAKEN FOR NONMEDICAL REASO' /
   LEVODRO   'LEVO-DROMORAN EVER TAKEN FOR NONMEDICAL' /
   PERCODAN  'PERCODAN EVER TAKEN FOR NONMEDICAL REASO' /
   DEMEROL   'DEMEROL EVER TAKEN FOR NONMEDICAL REASON' /
   DILAUD    'DILAUDID EVER TAKEN FOR NONMEDICAL REASO' /
   TYLCOD    'TYLENOL WITH CODEINE EVER TAKEN FOR NONM' /
   CODEINE   'CODEINE EVER TAKEN FOR NONMEDICAL REASON' /
   DOLOP     'DOLOPHINE EVER TAKEN FOR NONMEDICAL REAS' /
   WESTODON  'WESTODONE EVER TAKEN FOR NONMEDICAL REAS' /
   METHDON   'METHADONE EVER TAKEN FOR NONMEDICAL REAS' /
   TALWIN    'TALWIN EVER TAKEN FOR NONMEDICAL REASONS' /
   ANLDKNAM  'OTHER, NOT SURE' /
   ANALNONE  'NONE TRIED' /
   ANALAGE   'AGE FIRST TIME TOOK GROUP E ANALGESICS' /
   ALCFIRST  'HOW LONG AGO WAS FIRST TIME HAD A DRINK' /
   ALCTRY    'AGE WHEN HAD A DRINK FOR FIRST TIME' /
   ALCREC    'MOST RECENT TIME HAD A DRINK' /
   ALCDAYS   'PAST 30 DAYS, DAYS HAD ONE OR MORE DRINK' /
   MODR30A   'PAST 30 DAYS, MOST HAD TO DRINK ON ANY O' /
   MODR30DY  'DAYS YOU HAD THIS NUMBER OF DRINKS' /
   UNDSTAS1  'R''S WRITTEN ANSWER TO ''UNDERSTAND EACH Q''' /
   VRA7AS1   'R''S SPOKEN ANSWER TO UNDERSTAND EACH Q' /
   MRKEAAS1  'R''S WRITTEN ANSWER TO ''MARK AN ANSWER?''' /
   VRA8AS1   'R''S SPOKEN ANSWER TO ''MARK AN ANSWER?''' /
   MJKNOWN   'EVER KNOWN SOMEONE WHO USED MARIJUANA OR' /
   MJOPP     'AGE FIRST CHANCE TO TRY MARIJUANA OR HAS' /
   MJFIRST   'HOW LONG AGO FIRST TIME TRIED MARIJUANA' /
   MJAGE     'AGE FIRST TIME TRIED MARIJUANA OR HASH' /
   MJLIVE    'AT THE TIME, AREA LIVING IN' /
   MJREC     'MOST RECENT TIME USED MARIJUANA OR HASH' /
   MJDAY30A  'PAST 30 DAYS, DAYS USED MARIJUANA OR HAS' /
   MJTOT     'TIMES IN LIFETIME USED MARIJUANA OR HASH' /
   UNDSTAS2  'R''S WRITTEN ANSWER TO ''UNDERSTAND EACH Q''' /
   VRM9AS2   'R''S SPOKEN ANSWER TO ''UNDERSTAND EACH Q''' /
   MRKEAAS2  'R''S WRITTEN ANSWER TO ''MARK AN ANSWER?''' /
   VRM10AS2  'R''S SPOKEN ANSWER TO ''MARK AN ANSWER?''' /
   INHREAD   'INHALANTS - READING PREFERENCE' /
   INHOPP    'AGE FIRST HAD A CHANCE TO SNIFF INHALANT' /
   INHFIRST  'HOW LONG AGO FIRST TIME USED INHALANT FO' /
   INHAGE    'AGE FIRST TIME SNIFFED AN INHALANT' /
   GAS       'EVER INHALED GASOLINE OR LIGHTER FLUID' /
   SPPAINT   'EVER INHALED SPRAY PAINT' /
   AEROS     'EVER INHALED OTHER AEROSOL SPRAYS' /
   GLUE      'EVER INHALED SHOE SHINE, GLUE, TOLUENE' /
   SOLVENT   'EVER INHALED LACQUER THINNER, OTHER SOLV' /
   AMYLNIT   'EVER INHALED AMYL NITRITE' /
   ETHER     'EVER INHALED HALOTHANE, ETHER, OTHER ANE' /
   NITOXID   'EVER INHALED NITROUS OXIDE, WHIPPETS' /
   ODORIZER  'EVER INHALED LOCKER ROOM ODORIZER' /
   INHNEVER  'NEVER USED ANY TO GET HIGH' /
   GAS30A    'INHALED GASOLINE OR LIGHTER FLUID PAST 3' /
   SPPAN30A  'INHALED SPRAY PAINT PAST 30 DAYS' /
   AEROS30A  'INHALED OTHER AEROSOL SPRAYS PAST 30 DAY' /
   GLUE30A   'INHALED SHOE SHINE, GLUE, TOLUENE PAST 3' /
   SOLVN30A  'INHALED LACQUER THINNER, OTHER SOLV PAST' /
   AMLNT30A  'INHALED AMYL NITRITE PAST 30 DAYS' /
   ETHER30A  'INHALED HALOTHANE, ETHER, OTHER PAST 30' /
   NOX30A    'INHALED NITROUS OXIDE, WHIPPETS PAST 30' /
   ODR30A    'INHALED LOCKER ROOM ODORIZER PAST 30 DAY' /
   INH30NO   'NEVER USED ANY TO GET HIGH PAST 30 DAYS' /
   INHREC    'MOST RECENT TIME USED AN INHALANT TO GET' /
   INHTOT    'TIMES IN LIFETIME USED INHALANT TO GET H' /
   INHODRHR  'EVER HEAR OF LOCKER ROOM ODORIZER AS AN' /
   INHODRUS  'EVER USED LOCKER ROOM ODORIZER AS AN INH' /
   UNDSTAS3  'R''S WRITTEN ANSWER TO ''UNDERSTAND EACH Q''' /
   VRG10AS3  'R''S SPOKEN ANSWER TO ''UNDERSTAND EACH Q''' /
   MRKEAAS3  'R''S WRITTEN ANSWER TO ''MARK AN ANSWER?''' /
   VRG11AS3  'R''S SPOKEN ANSWER TO ''MARK AN ANSWER?''' /
   HALLOPP   'AGE FIRST HAD CHANCE TO TRY HALLUCINOGEN' /
   HALFIRST  'HOW LONG AGO FIRST TIME TRIED HALLUCINOG' /
   HALLAGE   'AGE FIRST TIME TRIED LSD' /
   HALLREC   'MOST RECENT TIME USED LSD OR OTHER HALLU' /
   HAL30USE  'PAST 30 DAYS, DAYS USED LSD/OTHER HALLUC' /
   HALLTOT   'TIMES IN LIFETIME USED LSD OR OTHER HALL' /
   HALPCPHR  'HEARD OF PCP, ALSO CALLED ''ANGEL DUST''' /
   PCP       'EVER USED PCP (ANGEL DUST)' /
   HALPCP30  'PAST 30 DAYS, DAYS USED PCP (ANGEL DUST)' /
   UNDSTAS4  'R''S WRITTEN ANSWER TO ''UNDERSTAND EACH Q''' /
   VRL10AS4  'R''S SPOKEN ANSWER TO ''UNDERSTAND EACH Q''' /
   MRKEAAS4  'R''S WRITTEN ANSWER TO ''MARK AN ANSWER?''' /
   VRL11AS4  'R''S SPOKEN ANSWER TO ''MARK AN ANSWER?''' /
   COCOPP    'AGE FIRST HAD CHANCE TO TRY COCAINE' /
   COCFIRST  'HOW LONG AGO FIRST TIME TRIED COCAINE' /
   COCAGE    'AGE FIRST TIME TRIED COCAINE' /
   COCREC    'MOST RECENT TIME USED COCAINE' /
   COCUS30A  'PAST 30 DAYS, DAYS USED COCAINE' /
   COCTOT    'TIMES IN LIFETIME USED COCAINE' /
   UNDSTAS5  'R''S WRITTEN ANSWER TO ''UNDERSTAND EACH Q''' /
   VRC7AS5   'R''S SPOKEN ANSWER TO ''UNDERSTAND EACH Q''' /
   MRKEAAS5  'R''S WRITTEN ANSWER TO ''MARK AN ANSWER?''' /
   VRC8AS5   'R''S SPOKEN ANSWER TO ''MARK AN ANSWER?''' /
   HERKNOW   'EVER KNOWN SOMEONE WHO HAS USED HEROIN' /
   HEROPP    'AGE FIRST HAD A CHANCE TO TRY HEROIN' /
   HERFIRST  'HOW LONG AGO FIRST TIME TRIED HEROIN' /
   HERAGE    'AGE FIRST TIME TRIED HEROIN' /
   HERREC    'MOST RECENT TIME USED HEROIN' /
   HER30USE  'PAST 30 DAYS, DAYS USED HEROIN' /
   HERTOT    'TIMES IN LIFETIME USED HEROIN' /
   HERFRNDS  '# FRIENDS KNOW FOR SURE EVER USED HEROIN' /
   HERNOADR  '# FRIENDS WHO KNOW, LIVE COLLEGE DORM ET' /
   HERNEEDL  'EVER TAKEN HEROIN WITH A NEEDLE' /
   UNDSTAS6  'R''S WRITTEN ANSWER TO ''UNDERSTAND EACH Q''' /
   VRH11AS6  'R''S SPOKEN ANSWER TO ''UNDERSTAND EACH Q''' /
   MRKEAAS6  'R''S WRITTEN ANSWER TO ''MARK AN ANSWER?''' /
   VRH12AS6  'R''S SPOKEN ANSWER TO ''MARK AN ANSWER?''' /
   SPLCOC    'COCAINE' /
   SPLHAL    'LSD OR OTHER HALLUCINOGENS' /
   SPLCIG    'CIGARETTES' /
   SPLHER    'HEROIN' /
   SPLBEER   'BEER OR WINE' /
   SPLLQR    'HARD LIQUOR' /
   SPLMJR    'MARIJUANA, HASHISH' /
   SPLPILLS  'PILLS (SEDATIVES, TRANQS, STIMULANTS, AN' /
   SPLINH    'INHALANTS' /
   GMJNOHO   'BETTER THAN ALCOHOL/NO HANGOVER' /
   GMJNONE   'NO GOOD EFFECT' /
   GMJMED    'MEDICAL TREATMENT; GLAUCOMA,ETC' /
   GMJJOB    'IMPROVES ENERGY/JOB PERFORMANCE' /
   GMJFUN    'GET HIGH/HAVE FUN/FOR KICKS' /
   GMJRELAX  'RELAX OR UNWIND' /
   GMJAWARE  'HEIGHTENS AWARENESS, SENSATIONS' /
   GMJCNFDN  'CONFIDENCE IN SOCIAL SITUATIONS' /
   GMJDEAL   'HELPS PEOPLE DEAL WITH PROBLEMS' /
   GMJSLEEP  'MAKES USER SLEEPY, SEDATED/TRANQUIL' /
   GMJSEX    'INCREASES SEX DRIVE, PLEASURE' /
   GMJAPPET  'IMPROVES APPETITE' /
   GMJDK     'DON''T KNOW OF ANY/NO OPINION' /
   GMJMISC   'MISCELLANEOUS RESPONSE' /
   GMJREF1   'NOT ANSWERED/MISSING/REFUSED TO ANSWER' /
   BMJCONTR  'LOSS OF SELF CONTROL & JUDGMENT' /
   BMJMEMRY  'LOSS OF MEMORY' /
   BMJNONE   'NO BAD EFFECT' /
   BMJHABIT  'ADDICTIVE/HABIT FORMING' /
   BMJSTRGR  'LEADS TO USE OF STRONGER DRUGS' /
   BMJHLTH   'DANGEROUS TO HEALTH' /
   BMJDIZZY  'NAUSEA, DIZZINESS, APPETITE CHNG' /
   BMJREFLX  'SLOWS REFLEX/MAKES USER SLEEPY' /
   BMJMOOD   'CAUSES NEGATIVE MOOD' /
   BMJHALLU  'PARANOIA, HALLUCINATIONS, ETC.' /
   BMJAPTHY  'APATHY/UNCARING ATTITUDE' /
   BMJJOB    'DECREASES ABILITY AT SCHOOL/JOB' /
   BMJDRIVE  'AFFECTS DRIVING' /
   BMJILLEG  'USE IS ILLEGAL/CAN BE ARRESTED' /
   BMJCRIME  'LEADS TO OTHER CRIME' /
   BMJEXPNS  'USE IS EXPENSIVE, WASTES MONEY' /
   BMJDK     'DON''T KNOW OF ANY/NO OPINION' /
   BMJMISC   'MISCELLANEOUS RESPONSE' /
   BMJREF1   'NOT ANSWERED/MISSING/R REFUSED TO ANSWER' /
   MJHIGH    'AFFECTS OF BEING REALLY HIGH ON MJ BEFOR' /
   MJDRHIGH  'HIGH ON MJ-I DRIVE WORSE THAN USUAL' /
   MJOTHDR   'HIGH ON MJ-SOMEONE I KNOW DRIVES WORSE U' /
   MJPUFFS   'AFFECTS OF 1 OR 2 PUFFS OF MJ BEFORE DRI' /
   MJDRPUFF  '1 OR 2 PUFFS OF MJ, I DRIVE WORSE THAN U' /
   MJOTHPUF  '1 OR 2 PUFFS OF MJ, SOMEONE I KNOW DRIVE' /
   MJINVOLV  'PEOPLE WHO WORK HARD, CHANCES INVOLVED I' /
   MJCAREMR  'SMOKING MJ EVERY DAY AND NIGHT' /
   MJCRMORE  'TIME WHEN STEADY USE OF MJ MADE ME STOP' /
   MJOTHMOR  'TIME STEADY USE MADE SOMEONE I KNOW STOP' /
   MJCARELS  'SMOKING A LITTLE MARIJUANA EVERY NIGHT' /
   MJCRLESS  'A LITTLE MJ EVERY NIGHT MADE ME STOP CAR' /
   MJOTHLES  'LITTLE MJ EV NIGHT MADE SOMEONE I KNOW S' /
   MJWKEND   'SOMEONE SMOKING MARIJUANA ONLY ON WEEKEN' /
   MJCRWKEN  'TIME WHEN SMOKING MJ WEEKENDS MADE ME ST' /
   MJOTHWKN  'TM SMKING MJ WKENDS MADE SOMEONE I KNOW' /
   ALHIGH    'FOUR OR FIVE DRINKS SHORTLY BEFORE DRIVI' /
   ALDRHIGH  'REMEMBER WHEN I HAD 4 OR 5 DRINKS BEFORE' /
   ALOTHDR   'KNOW A TIME 4 OR 5 MADE SOMEONE I KNOW D' /
   ALSOME    'ONE OR TWO DRINKS SHORTLY BEFORE DRIVING' /
   ALDRSOME  'REMEMBER TIME 1 OR 2 DRINKS MADE ME DRIV' /
   ALOTHSOM  'KNOW A TIME 1 OR 2 MADE SOMEONE I KNOW D' /
   ALOTHDRK  'DRINKS AVG PERSON COULD HAVE & DRIVE SAF' /
   ALYOUDRK  'DRINKS YOU COULD HAVE AND DRIVE SAFELY' /
   CLOSFRNS  'HOW MANY CLOSE FRIENDS' /
   FRNSHER   'HOW MANY CLOSE FRIENDS EVER USED HEROIN' /
   FRNSEX    'FRIEND THAT R IS SURE USED HEROIN: MALE' /
   FRNAGE    'AGE OF FRIEND WHO HAS USED HEROIN' /
   FRNTRYH   'HOW LONG AGO WAS 1ST TIME FRIEND TRIED H' /
   FRNRECH   'MOST RECENT TIME FRIEND USED HEROIN' /
   SEENUSE   'SEEN USE' /
   CONFESS   'CONFESSION' /
   TESTMNY   'TESTIMONY BY CLOSE KIN OR GIRLFRIEND/BOY' /
   TRACKMRK  'TRACK MARKS' /
   ARREST    'ARREST' /
   UNPRREF   'NOT ANSWERED/REFUSED TO ANS' /
   UNPRREP   'REPUTATION/PEOPLE HE/SHE RUN''S WITH/FRN' /
   UNPRBEH   'VAGUE SYMPTOMS, BEHAVIOR' /
   UNPROTH   'OTHER UNPROVEN WAYS OF DETECTING USE' /
   AMBULANC  'AMBULANCE' /
   DETECOTH  'OTHER CERTAIN WAYS OF DETECTING HEROIN U' /
   GIVESELL  'OFFER TO GIVE/SELL' /
   TREATMNT  'TREATMENT' /
   OTHKNOW   '# FRIEND''S FRIENDS KNOW EVER USED HEROI' /
   LVDHEREA  'YEARS LIVED IN OR AROUND THIS COMMUNITY' /
   LVDHEREB  'HOW LONG LIVED IN OR AROUND THIS COMMUNI' /
   EVRLIVEA  'AREA ''A'', EVER LIVED YEAR OR MORE IN SUC' /
   AGEINA1   'AGE MOVED INTO AN AREA LIKE AREA ''A''' /
   AGEOUTA1  'AGE MOVED AWAY FROM AREA ''A''' /
   AGEINA2   'AGE MOVED INTO AN AREA LIKE AREA ''A''' /
   AGEOUTA2  'AGE MOVED AWAY FROM AREA ''A''' /
   AGEINA3   'AGE MOVED INTO AN AREA LIKE AREA ''A''' /
   AGEOUTA3  'AGE MOVED AWAY FROM AREA ''A''' /
   ALLLIFEA  'IF LIVED IN AREA LIKE ''A'' ALL YOUR LIFE,' /
   EVRLIVEB  'AREA ''B'', EVER LIVED YEAR OR MORE IN SUC' /
   AGEINB1   'AGE MOVED INTO AN AREA LIKE AREA ''B''' /
   AGEOUTB1  'AGE MOVED AWAY FROM AREA ''B''' /
   AGEINB2   'AGE MOVED INTO AN AREA LIKE AREA ''B''' /
   AGEOUTB2  'AGE MOVED AWAY FROM AREA ''B''' /
   AGEINB3   'AGE MOVED INTO AN AREA LIKE AREA ''B''' /
   AGEOUTB3  'AGE MOVED AWAY FROM AREA ''B''' /
   ALLLIFEB  'IF LIVED IN AREA LIKE ''B'' ALL YOUR LIFE,' /
   EVRLIVEC  'AREA ''C'', EVER LIVED YEAR OR MORE IN SUC' /
   AGEINC1   'AGE MOVED INTO AN AREA LIKE AREA ''C''' /
   AGEOUTC1  'AGE MOVED AWAY FROM AREA ''C''' /
   AGEINC2   'AGE MOVED INTO AN AREA LIKE AREA ''C''' /
   AGEOUTC2  'AGE MOVED AWAY FROM AREA ''C''' /
   AGEINC3   'AGE MOVED INTO AN AREA LIKE AREA ''C''' /
   AGEOUTC3  'AGE MOVED AWAY FROM AREA ''C''' /
   ALLLIFEC  'IF LIVED IN AREA LIKE ''C'' ALL YOUR LIFE' /
   SEX       'INTERVIEWER:  RECORD SEX OF RESPONDENT' /
   RESPAGE   'AGE OF RESPONDENT' /
   HISPANIC  'SPANISH ORIGIN' /
   HISPGRP   'TYPE SPANISH-AMERICANS THAT BEST DESCRIB' /
   RESPRACE  'GROUP THAT BEST DESCRIBES FAMILY ORIGIN' /
   RAGEGRP   'AGE GROUP OF RESPONDENT' /
   ENRLCOLL  'STUDENT OR TAKING ANY COURSES' /
   TYPESCHL  'KIND OF SCHOOL OR CLASSES' /
   STUDFTPT  'FULL-TIME STUDENT OR PART-TIME' /
   EDUC      'LAST GRADE COMPLETED IN SCHOOL' /
   TOTPEOP   '# PERSONS LIVE IN HOME BESIDES YOURSELF' /
   UNDAGE18  'OWN/SPOUSE, HAVE CHILDREN < 18 WHO LIVE' /
   UNDAGE6   '# CHILDREN OWN/SPOUSE UNDER AGE SIX' /
   AGE612    '# CHILDREN OWN/SPOUSE BETWEEN SIX AND 12' /
   AGE1217   '# CHILDREN BETWEEN 12 AND 17 YEARS OLD' /
   HHPAREN   'PARENTS OR PARENTS-IN-LAW' /
   NUMPAREN  '# PARENTS OR PARENTS-IN-LAW' /
   HHSPOUS   'SPOUSE OR SPOUSE-TYPE' /
   NUMSPOUS  '# SPOUSE OR SPOUSE-TYPE' /
   HHSIBLN   'BROTHERS OR SISTERS' /
   NUMSIBLN  '# BROTHERS OR SISTERS' /
   HHOTREL   'OTHER RELATIVES OVER 17' /
   NUMOTREL  '# OTHER RELATIVES OVER 17' /
   HHFRNDS   'FRIENDS OR ROOMMATES' /
   NUMFRNDS  '# FRIENDS OR ROOMMATES' /
   HHOTPER   'OTHER PERSON(S)' /
   NUMOTPER  '# OTHER PERSON(S)' /
   MARITAL   'CURRENT MARITAL STATUS' /
   EMPLOYED  'EMPLOYED AT THE PRESENT TIME' /
   ROCCUP2   'KIND OF WORK OF THE RESPONDENT' /
   NOLABOR   'WHICH OF THE FOLLOWING BEST DESCRIBES YO' /
   CWE       'SOMEONE OTHER THAN YOU THE CHIEF WAGE EA' /
   CWEOCC2   'CHIEF WAGE EARNER''S BUSINESS/OCCUPATION' /
   INCOME    'TOTAL FAMILY INCOME BEFORE TAXES FOR LAS' /
   ESTHHIN   '''1'' INDICATES THAT INTERVIEWER ESTIMATED' /
   YTHSTUD   'GOING TO SCHOOL THIS YEAR' /
   YSTDFTPT  'GO TO SCHOOL FULL TIME OR PART TIME' /
   YTHEDUC   'LAST GRADE YOU COMPLETED IN SCHOOL' /
   YTOTPEOP  '# PEOPLE LIVE IN YOUR HOME BESIDES YOU' /
   MOTHER    'MOTHER/STEPMOTHER' /
   FATHER    'FATHER/STEPFATHER' /
   OLDSIBS   'OLDER BROTHERS OR SISTERS' /
   NUMOSIBS  '# OLDER BROTHERS OR SISTERS' /
   YNGSIBS   'YOUNGER BROTHERS OR SISTERS' /
   NUMYSIBS  '# YOUNGER BROTHERS OR SISTERS' /
   YTHOTREL  'OTHER RELATIVES' /
   NUMYOREL  '# OTHER RELATIVES' /
   YTHOTPER  'OTHER PERSON(S)' /
   NUMYOPER  '# OTHER PERSON(S)' /
   OTHSIBS   'ANY OLDER BROTHERS OR SISTERS LIVING ELS' /
   YTHEMPLD  'CHIEF WAGE EARNER EMPLOYED AT THE PRESEN' /
   YTHOCCU2  'KIND OF WORK OF CHIEF WAGE EARNER' /
   YNOLABOR  'WHICH DESCRIBES THE CHIEF WAGE EARNER' /
   HHAREA    'KIND OF AREA THAT THIS HOUSEHOLD IS IN' /
   MILINSTA  'WITHIN 10 MI RADIUS: ANY KIND OF MILITAR' /
   LOGCAMP   'WITHIN 10 MI RADIUS: A LOGGING OR MINING' /
   COLLEGE   'WITHIN 10 MI RADIUS: ONE OR MORE COLLEGE' /
   RESORT    'WITHIN 10 MI RADIUS: A RESORT AREA' /
   CONSTR    'WITHIN 10 MI RADIUS: TEMPORARY CONSTRUCT' /
   RANCH     'WITHIN 10 MI RADIUS: ONE OR MORE RANCHES' /
   MIGRANTS  'WITHIN 10 MI RADIUS: AREAS EMPLOY MIGRAN' /
   TEMPRES   'WITHIN 10 MI RADIUS: OTHER TEMPORARY RES' /
   HHTYPE    'KIND OF HOUSEHOLD INTERVIEW CONDUCTED' /
   UNDINT    'RESPONDENT''S UNDERSTANDING OF THE INTER' /
   COOPINT   'COOPERATION OF RESPONDENT' /
   PRIVACY   'IF YOUTH 12-17 DEGREE OF PRIVACY OF THE' /
   ADULTYTH  'ADULT/YOUTH CLASSIFICATION' /
   PAREXAMQ  'PARENT OF YOUTH RESPONDENT EXAMINE QUEST' /
   ADLTQCD   'FORM OF QUEX DESIGNATED FOR ADULT INTERV' /
   QUEXTYPE  'QUESTIONNAIRE FORM USED FOR THIS RESPOND' /
   INTVLEN   'LENGTH OF INTERVIEW (MINUTES)' /
   FIID      'INTERVIEWER I.D. NUMBER' /
   TOTHHVIS  'TOT VISITS TO HOUSING UNIT (CODE AS 2-DI' /
   FINLRES1  'FINAL RESULT' /
   VSADLTCM  'VISIT NUMBER ADULT INTERVIEW COMPLETED' /
   PHADLTCM  'PHASE OF STUDY IN WHICH ADULT INTERVIEW' /
   FINLRES2  'FINAL RESULT' /
   VSYTHCM   'VISIT NUM YOUTH INTERVIEW COMPLETED (2-D' /
   PHYTHCM   'PHASE OF STUDY IN WHICH YOUTH INTERVIEW' /
   YTHINHH   'YOUTH LIVING IN HOUSEHOLD' /
   RES1825   'NUMBER OF RESIDENTS AGE 18-25' /
   RES2649   'NUMBER OF RESIDENTS AGE 26-49' /
   RES50OVR  'NUMBER OF RESIDENTS AGE 50 OR OLDER' /
   AGR1REL1  '1ST RESIDENT AGE 18-25: RELATIONSHIP TO' /
   AGR1SEX1  '1ST RESIDENT AGE 18-25: SEX' /
   AGR1AGE1  '1ST RESIDENT AGE 18-25: AGE' /
   AGR1RSP1  '1ST RESIDENT AGE 18-25: IS THIS PERSON R' /
   AGR1REL2  '2ND RESIDENT AGE 18-25: RELATIONSHIP TO' /
   AGR1SEX2  '2ND RESIDENT AGE 18-25: SEX' /
   AGR1AGE2  '2ND RESIDENT AGE 18-25: AGE' /
   AGR1RSP2  '2ND RESIDENT AGE 18-25: IS THIS PERSON R' /
   AGR1REL3  '3RD RESIDENT AGE 18-25: RELATIONSHIP TO' /
   AGR1SEX3  '3RD RESIDENT AGE 18-25: SEX' /
   AGR1AGE3  '3RD RESIDENT AGE 18-25: AGE' /
   AGR1RSP3  '3RD RESIDENT AGE 18-25: IS THIS PERSON R' /
   AGR1REL4  '4TH RESIDENT AGE 18-25: RELATIONSHIP TO' /
   AGR1SEX4  '4TH RESIDENT AGE 18-25: SEX' /
   AGR1AGE4  '4TH RESIDENT AGE 18-25: AGE' /
   AGR1RSP4  '4TH RESIDENT AGE 18-25: IS THIS PERSON R' /
   AGR2REL1  '1ST RESIDENT AGE 26-49: RELATIONSHIP TO' /
   AGR2SEX1  '1ST RESIDENT AGE 26-49: SEX' /
   AGR2AGE1  '1ST RESIDENT AGE 26-49: AGE' /
   AGR2RSP1  '1ST RESIDENT AGE 26-49: IS THIS PERSON R' /
   AGR2REL2  '2ND RESIDENT AGE 26-49: RELATIONSHIP TO' /
   AGR2SEX2  '2ND RESIDENT AGE 26-49: SEX' /
   AGR2AGE2  '2ND RESIDENT AGE 26-49: AGE' /
   AGR2RSP2  '2ND RESIDENT AGE 26-49: IS THIS PERSON R' /
   AGR2REL3  '3RD RESIDENT AGE 26-49: RELATIONSHIP TO' /
   AGR2SEX3  '3RD RESIDENT AGE 26-49: SEX' /
   AGR2AGE3  '3RD RESIDENT AGE 26-49: AGE' /
   AGR2RSP3  '3RD RESIDENT AGE 26-49: IS THIS PERSON R' /
   AGR2REL4  '4TH RESIDENT AGE 26-49: RELATIONSHIP TO' /
   AGR2SEX4  '4TH RESIDENT AGE 26-49: SEX' /
   AGR2AGE4  '4TH RESIDENT AGE 26-49: AGE' /
   AGR2RSP4  '4TH RESIDENT AGE 26-49: IS THIS PERSON R' /
   AGR3REL1  '1ST RESIDENT AGE 50 OR OLDER: RELATIONSH' /
   AGR3SEX1  '1ST RESIDENT AGE 50 OR OLDER: SEX' /
   AGR3AGE1  '1ST RESIDENT AGE 50 OR OLDER: AGE' /
   AGR3RSP1  '1ST RESIDENT AGE 50 OR OLDER: IS THIS PE' /
   AGR3REL2  '2ND RESIDENT AGE 50 OR OLDER: RELATIONSH' /
   AGR3SEX2  '2ND RESIDENT AGE 50 OR OLDER: SEX' /
   AGR3AGE2  '2ND RESIDENT AGE 50 OR OLDER: AGE' /
   AGR3RSP2  '2ND RESIDENT AGE 50 OR OLDER: IS THIS PE' /
   AGR3REL3  '3RD RESIDENT AGE 50 OR OLDER: RELATIONSH' /
   AGR3SEX3  '3RD RESIDENT AGE 50 OR OLDER: SEX' /
   AGR3AGE3  '3RD RESIDENT AGE 50 OR OLDER: AGE' /
   AGR3RSP3  '3RD RESIDENT AGE 50 OR OLDER: IS THIS PE' /
   AGR3REL4  '4TH RESIDENT AGE 50 OR OLDER: RELATIONSH' /
   AGR3SEX4  '4TH RESIDENT AGE 50 OR OLDER: SEX' /
   AGR3AGE4  '4TH RESIDENT AGE 50 OR OLDER: AGE' /
   AGR3RSP4  '4TH RESIDENT AGE 50 OR OLDER: IS THIS PE' /
   YTH1217   'NUMBER OF RESIDENTS AGE 12-17' /
   YTH1REL   '1ST YOUTH LISTED: RELATIONSHIP TO RESPON' /
   YTH1SEX   '1ST YOUTH LISTED: SEX' /
   YTH1AGE   '1ST YOUTH LISTED: AGE' /
   YTH1RSP   '1ST YOUTH LISTED: IS THIS PERSON RESPOND' /
   YTH2REL   '2ND YOUTH LISTED: RELATIONSHIP TO RESPON' /
   YTH2SEX   '2ND YOUTH LISTED: SEX' /
   YTH2AGE   '2ND YOUTH LISTED: AGE' /
   YTH2RSP   '2ND YOUTH LISTED: IS THIS PERSON RESPOND' /
   YTH3REL   '3RD YOUTH LISTED: RELATIONSHIP TO RESPON' /
   YTH3SEX   '3RD YOUTH LISTED: SEX' /
   YTH3AGE   '3RD YOUTH LISTED: AGE' /
   YTH3RSP   '3RD YOUTH LISTED: IS THIS PERSON RESPOND' /
   YTH4REL   '4TH YOUTH LISTED: RELATIONSHIP TO RESPON' /
   YTH4SEX   '4TH YOUTH LISTED: SEX' /
   YTH4AGE   '4TH YOUTH LISTED: AGE' /
   YTH4RSP   '4TH YOUTH LISTED: IS THIS PERSON RESPOND' /
   REGION    'CENSUS REGION' /
   DIVISION  'LOCATION NUMBER = CENSUS DIVISION/REGION' /
   POPDENX   'POPULATION DENSITY' /
   IRAGE     'IMPUTATION-REVISED AGE OF RESPONDENT' /
   IIAGE     'IRAGE INDICATOR' /
   IRSEX     'SEX - IMPUTATION REVISED' /
   IISEX     'IRSEX INDICATOR' /
   IRRACEX   'IMPUTATION-REVISED RACE OF RESPONDENT' /
   IIRACEX   'IRRACE INDICATOR' /
   IRHOIND   'IMPUTATION-REVISED HISPANIC ORIGIN' /
   IIHOIND   'IRHOIND INDICATOR' /
   IRHOGRP   'IMPUTATION-REVISED HISPANIC-ORIGIN GROUP' /
   IIHOGRP   'IMPUTATION INDICATOR FOR HISPANIC GROUP' /
   IRMARIT   'MARITAL STATUS - IMPUTATION INDICATOR' /
   IIMARIT   'IRMARIT INDICATOR' /
   IREDUC    'EDUCATION - IMPUTATION REVISED' /
   IIEDUC    'EDUCATION - IMPUTATION INDICATOR' /
   IRALCRC   'ALCOHOL RECENCY - IMPUTATION REVISED' /
   IIALCRC   'ALCOHOL RECENCY - IMPUTATION INDICATOR' /
   IRMJRC    'MARIJUANA RECENCY - IMPUTATION REVISED' /
   IIMJRC    'MARIJUANA RECENCY - IMPUTATION INDICATOR' /
   IRCOCRC   'COCAINE RECENCY - IMPUTATION REVISED' /
   IICOCRC   'COCAINE RECENCY - IMPUTATION INDICATOR' /
   IRSEDRC   'SEDATIVES RECENCY - IMPUTATION REVISED' /
   IISEDRC   'SEDATIVES RECENCY - IMPUTATION INDICATOR' /
   IRTRANRC  'TRANQUILIZERS RECENCY - IMPUTATION REVIS' /
   IITRANRC  'TRANQUILIZERS RECENCY - IMPUTATION INDIC' /
   IRSTIMRC  'STIMULANTS RECENCY - IMPUTATION REVISED' /
   IISTIMRC  'STIMULANTS RECENCY - IMPUTATION INDICATO' /
   IRANALRC  'ANALGESICS RECENCY - IMPUTATION REVISED' /
   IIANALRC  'ANALGESICS RECENCY - IMPUTATION INDICATO' /
   IRCIGRC   'CIGARETTES RECENCY - IMPUTATION REVISED' /
   IICIGRC   'CIGARETTES RECENCY - IMPUTATION INDICATO' /
   IRINHRC   'INHALANTS RECENCY - IMPUTATION REVISED' /
   IIINHRC   'INHALANTS RECENCY - IMPUTATION INDICATOR' /
   IRHALLRC  'HALLUCINOGENS RECENCY - IMPUTATION REVIS' /
   IIHALLRC  'HALLUCINOGENS RECENCY - IMPUTATION INDIC' /
   IRHERRC   'HEROIN RECENCY - IMPUTATION REVISED' /
   IIHERRC   'HEROIN RECENCY - IMPUTATION INDICATOR' /
   CATAGE    'AGE CATEGORY' /
   CATAG2    'AGE CATEGORY RECODE (3 LEVELS)' /
   CATAG3    'AGE CATEGORY RECODE (5 LEVELS)' /
   RACE      'RACE/HISPANIC-ORIGIN RECODE' /
   HISPRACE  'RACE ETHNICITY' /
   EDUCCAT2  'EDUCATION RECODE' /
   HALFLAG   'HALLUCINOGENS - EVER USED' /
   HALYR     'HALLUCINOGENS - PAST YEAR USE' /
   HALMON    'HALLUCINOGENS - PAST MONTH USE' /
   STMFLAG   'STIMULANTS - EVER USED' /
   STMYR     'STIMULANTS - PAST YEAR USE' /
   STMMON    'STIMULANTS - PAST MONTH USE' /
   SEDFLAG   'SEDATIVES - EVER USED' /
   SEDYR     'SEDATIVES - PAST YEAR USE' /
   SEDMON    'SEDATIVES - PAST MONTH USE' /
   TRQFLAG   'TRANQUILIZERS - EVER USED' /
   TRQYR     'TRANQUILIZERS - PAST YEAR USE' /
   TRQMON    'TRANQUILIZERS - PAST MONTH USE' /
   ANLFLAG   'ANALGESICS - EVER USED' /
   ANLYR     'ANALGESICS - PAST YEAR USE' /
   ANLMON    'ANALGESICS - PAST MONTH USE' /
   ALCFLAG   'ALCOHOL - EVER USED' /
   ALCYR     'ALCOHOL - PAST YEAR USE' /
   ALCMON    'ALCOHOL - PAST MONTH USE' /
   CIGFLAG   'CIGARETTES - EVER USED' /
   CIGYR     'CIGARETTES - PAST YEAR USE' /
   CIGMON    'CIGARETTES - PAST MONTH USE' /
   HERFLAG   'HEROIN - EVER USED' /
   HERYR     'HEROIN - PAST YEAR USE' /
   HERMON    'HEROIN - PAST MONTH USE' /
   MRJFLAG   'MARIJUANA - EVER USED' /
   MRJYR     'MARIJUANA - PAST YEAR USE' /
   MRJMON    'MARIJUANA - PAST MONTH USE' /
   COCFLAG   'COCAINE - EVER USED' /
   COCYR     'COCAINE - PAST YEAR USE' /
   COCMON    'COCAINE - PAST MONTH USE' /
   INHFLAG   'INHALANTS - EVER USED' /
   INHYR     'INHALANTS - PAST YEAR USE' /
   INHMON    'INHALANTS - PAST MONTH USE' /
   PSYFLAG2  'ANY PSYCHOTHERAPEUTICS - EVER USED' /
   PSYYR2    'ANY PSYCHOTHERAPEUTICS - PAST YEAR USE' /
   PSYMON2   'ANY PSYCHOTHERAPEUTICS - PAST MONTH USE' /
   SUMFLAG   'ANY ILLICIT DRUG - EVER USED' /
   SUMYR     'ANY ILLICIT DRUG - PAST YEAR USE' /
   SUMMON    'ANY ILLICIT DRUG - PAST MONTH USE' /
   MJOFLAG   'MARIJUANA ONLY - EVER USED' /
   MJOYR2    'MARIJUANA ONLY - PAST YEAR USE' /
   MJOMON2   'MARIJUANA ONLY - PAST MONTH USE' /
   IEMFLAG   'ILLICIT DRUG EXCEPT FOR MARIJUANA - EVER' /
   IEMYR     'ILLICIT DRUG EXCEPT FOR MARIJUANA - PAST' /
   IEMMON    'ILLICIT DRUG EXCEPT FOR MARIJUANA - PST' /
   VESTR     'VARIANCE STRATUM' /
   VEREP     'VARIANCE REPLICATE WITHIN VARIANCE STRAT' /
   ANALWT    'ANALYSIS WEIGHT, C & N' /
   CANALWT   'ANALYSIS WEIGHT, C ONLY' /
   NANALWT   'ANALYSIS WEIGHT, N ONLY' /
   INITWT    'INITIAL WEIGHT, C & N' /
   WT1       'ADJUSTS INITWT TO CPS OVERALL TOTAL' /
   WT2       'ADJS (INITWT*WT1) TO POSTSTRATUM CPS TOT' /
   CINITWT   'INITIAL WEIGHT, C ONLY' /
   CWT1      'ADJUSTS CINITWT TO CPS OVERALL TOTAL' /
   CWT2      'ADJS (CINITWT*CWT1) TO POSTSTRATUM CPS T' /
   NINITWT   'INITIAL WEIGHT, N ONLY' /
   NWT1      'ADJUSTS NINITWT TO CPS OVERALL TOTAL' /
   NWT2      'ADJS (NINITWT*NWT1) TO POSTSTRATUM CPS T' /
   .


* SPSS VALUE LABELS COMMAND.

VALUE LABELS
   CIGMORLS  1 'More' 2 'Less' 3 'About the same' 4 'No opinion' 98 'BLANK' /
   CIGTRY    91 'NEVER USED CIGARETTES' 94 'DON''T KNOW' 98 'BLANK' /
   CIG5PK    1 'Yes' 2 'No' 91 'NEVER USED CIGARETTES' 94 'DON''T KNOW'
             98 'BLANK' /
   CIGREC    1 'In the past 30 days' 2 'Within the past six months'
             3 'Within the past year' 4 'More than a year ago'
             17 'Use in the past 30 days LOGICALLY IMPUTED'
             19 'Use in lifetime LOGICALLY IMPUTED'
             91 'NEVER USED CIGARETTES' /
   AVCIG     1 'Less than one cigarettes a day'
             2 'One to five cigarettes a day' 3 'About 1/2 pack a day'
             4 'About a pack a day' 5 'About 11/2 packs a day'
             6 'Two packs or more a day' 91 'NEVER USED CIGARETTES'
             94 'DON''T KNOW' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   HRDHER    1 'Yes' 2 'No' 94 'DON''T KNOW' /
   HRDMJ     1 'Yes' 2 'No' 94 'DON''T KNOW' /
   HRDCOC    1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   HRDLSD    1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   HRDBAR    1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   HRDTRN    1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   HRDAMP    1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   ADDHER    0 'Response not given' 1 'Response given' /
   ADDALC    0 'Response not given' 1 'Response given' /
   ADDMJ     0 'Response not given' 1 'Response given' /
   ADDTOB    0 'Response not given' 1 'Response given' /
   ADDBAR    0 'Response not given' 1 'Response given' /
   ADDTRN    0 'Response not given' 1 'Response given' /
   ADDAMP    0 'Response not given' 1 'Response given' /
   ADDLSD    0 'Response not given' 1 'Response given' /
   ADDCOC    0 'Response not given' 1 'Response given' /
   ADDNONE   0 'Response not given' 1 'Response given' /
   SEDLIKE   1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   SEDFEEL   1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   SEDNEED   1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   SEDREC    1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago'
             19 'Use in lifetime LOGICALLY IMPUTED' 91 'NEVER USED SEDATIVES'
             98 'BLANK' /
   SED30MOA  0 'No days in the past 30 days' 91 'NEVER USED SEDATIVES'
             94 'DON''T KNOW' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   SED30MOB  0 'No days in the past 30 days' 91 'NEVER USED SEDATIVES'
             94 'DON''T KNOW' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   SED30MOC  0 'No days in the past 30 days' 91 'NEVER USED SEDATIVES'
             94 'DON''T KNOW' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   SEDDAL30  0 'No days in the past 30 days' 91 'NEVER USED SEDATIVES'
             98 'BLANK' 99 'LEGITIMATE SKIP' /
   BUTISOL   0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   BUTICAPS  0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   AMYTAL    0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   ESKABARB  0 'Response not given' 1 'Response given'
             91 'NEVER USE SEDATIVES' /
   LUMINAL   0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   MEBARAL   0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   AMOBARB   0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   PHENOBAR  0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   ALURATE   0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   PLACIDYL  0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   DORIDEN   0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   NOLUDAR   0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   SOPOR     0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   QUAALUDE  0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   PAREST    0 'Response not given' 1 'Response given' 91 'R USED SEDATIVE' /
   NOCTEC    0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   METHAQ    0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   CHHYD     0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   NEMBUTAL  0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   CARBTAL   0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   SECONAL   0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   TUINAL    0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   PENTOB    0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   SECOB     0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   DALMANE   0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   SEDDKNAM  0 'Response not given' 1 'Response given'
             91 'NEVER USED SEDATIVES' /
   NOSEDAT   0 'Response not given' 91 'NEVER USED SEDATIVES' /
   SEDAGE    91 'NEVER USED SEDATIVES' 94 'DON''T KNOW' 98 'BLANK' /
   TRNLIKE   1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   TRNFEEL   1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   TRNNEED   1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   TRANREC   1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago'
             19 'Use in lifetime LOGICALLY IMPUTED'
             91 'NEVER USED TRANQUILIZERS' 98 'BLANK' /
   TRN30MOA  0 'No days in the past 30 days' 91 'NEVER USED TRANQUILIZERS'
             94 'DON''T KNOW' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   TRN30MOB  0 'No days in the past 30 days' 91 'NEVER USED TRANQUILIZERS'
             98 'BLANK' 99 'LEGITIMATE SKIP' /
   TRN30MOC  0 'No days in the past 30 days' 91 'NEVER USED TRANQUILIZERS'
             98 'BLANK' 99 'LEGITIMATE SKIP' /
   TRNBEN30  0 'No days in the past 30 days' 91 'NEVER USED TRANQUILIZERS'
             98 'BLANK' 99 'LEGITIMATE SKIP' /
   VALIUM    0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   LIBRIUM   0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   LIBRITAB  0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   SKLY      0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   SERAX     0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   TRANXENE  0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   ATIVAN    0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   VERSTRAN  0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   MEPRSPAN  0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   MILTOWN   0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   EQUANIL   0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   MEPROB    0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   VISTAR    0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   ATARAX    0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   BENADRYL  0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   TRDKNAM   0 'Response not given' 1 'Response given'
             91 'NEVER USED TRANQUILIZERS' /
   NOTRANQ   0 'Response not given' 91 'NEVER USED TRANQUILIZERS' /
   TRANAGE   91 'NEVER USED TRANQUILIZERS' 94 'DON''T KNOW' 98 'BLANK' /
   STIMLIKE  1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   STIMFEEL  1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   STIMNEED  1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   STIMREC   1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago'
             19 'Use in lifetime LOGICALLY IMPUTED'
             91 'NEVER USED STIMULANTS' 98 'BLANK' /
   STM30MOA  0 'No days in the past 30 days' 91 'NEVER USED STIMULANTS'
             94 'DON''T KNOW' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   STM30MOB  0 'No days in the past 30 days' 91 'NEVER USED STIMULANTS'
             94 'DON''T KNOW' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   STMRIT30  0 'No days in the past 30 days' 91 'NEVER USED STIMULANTS'
             98 'BLANK' 99 'LEGITIMATE SKIP' /
   STMCYL30  0 'No days in the past 30 days' 91 'NEVER USED STIMULANTS'
             98 'BLANK' 99 'LEGITIMATE SKIP' /
   DEXED     0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   DEXAMYL   0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   ESKAT     0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   BENZ      0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   BIPHET    0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   DESOXYN   0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   DETAMP    0 'Response not given' 1 'Response given'
             91 'NEVER USED STIUMULANTS' /
   METHI     0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   OBLA      0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   TENUATE   0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   TEPANIL   0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   DIDREX    0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   PLEGINE   0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   PRELUDIN  0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   PRESATE   0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   IONAMIN   0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   PONDIMIN  0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   VORANIL   0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   SANOREX   0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   RITALIN   0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   CYLERT    0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   STMDKNAM  0 'Response not given' 1 'Response given'
             91 'NEVER USED STIMULANTS' /
   NOSTIMS   0 'Response not given' 91 'NEVER USED STIMULANTS' /
   STIMAGE   91 'NEVER USED STIMULANTS' 94 'DON''T KNOW' 98 'BLANK' /
   ANALLIKE  1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   ANALFEEL  1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   ANALNEED  1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   ANALREC   1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago'
             19 'Use in lifetime LOGICALLY IMPUTED'
             91 'NEVER USED ANALGESICS' 98 'BLANK' /
   ANL30MOA  0 'No days in the past 30 days' 91 'NEVER USED ANALGESICS'
             98 'BLANK' 99 'LEGITIMATE SKIP' /
   ANL30MOB  0 'No days in the past 30 days' 91 'NEVER USED ANALGESICS'
             94 'DON''T KNOW' 98 'BLANK' 99 'LEGITIMATE skip' /
   ANL30MOC  0 'No days in the past 30 days' 91 'NEVER USED ANALGESICS'
             98 'BLANK' 99 'LEGITIMATE SKIP' /
   ANLTAL30  0 'No days in the past 30 days' 91 'NEVER USED ANALGESICS'
             98 'BLANK' 99 'LEGITIMATE SKIP' /
   DARVON    0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   DOLENE    0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   SK65A     0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   PROPOXY   0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   LERITINE  0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   LEVODRO   0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   PERCODAN  0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   DEMEROL   0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   DILAUD    0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   TYLCOD    0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   CODEINE   0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   DOLOP     0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   WESTODON  0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   METHDON   0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   TALWIN    0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   ANLDKNAM  0 'Response not given' 1 'Response given'
             91 'NEVER USED ANALGESICS' /
   ANALNONE  0 'Response not given' 91 'NEVER USED ANALGESICS' 95 'BAD DATA'
             /
   ANALAGE   91 'NEVER USED ANALGESICS' 94 'DON''T KNOW' 98 'BLANK' /
   ALCFIRST  1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 91 'NEVER USED ALCOHOL'
             94 'DON''T KNOW' /
   ALCTRY    91 'NEVER USED ALCOHOL' 94 'DON''T KNOW' /
   ALCREC    1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago'
             17 'Use in the past 30 days LOGICALLY IMPUTED'
             18 'Use in the past year LOGICALLY IMPUTED'
             19 'Use in lifetime LOGICALLY IMPUTED' 91 'NEVER USED ALCOHOL'
             94 'DON''T KNOW' /
   ALCDAYS   0 'No days in the past 30 days' 91 'NEVER USED ALCOHOL'
             94 'DON''T KNOW' /
   MODR30A   0 'No drinks in the past 30 days' 1 'One or two drinks'
             2 'Three or four drinks' 3 'Five or six drinks'
             4 'Seven or eight drinks' 5 'Nine or ten drinks'
             6 'Eleven or more drinks' 91 'NEVER USED ALCOHOL'
             94 'DON''T KNOW' /
   MODR30DY  0 'No days in the past 30 days' 91 'NEVER USED ALCOHOL'
             94 'DON''T KNOW' /
   UNDSTAS1  1 'Yes' 2 'No' 98 'BLANK' /
   VRA7AS1   1 'Yes' 2 'No' 3 'Something else' 98 'BLANK' /
   MRKEAAS1  1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   VRA8AS1   1 'Yes' 2 'No' 3 'Something else' 98 'BLANK' /
   MJKNOWN   1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   MJOPP     91 'NEVER HAD A CHANCE TO TRY MARIJUANA' 94 'DON''T KNOW'
             98 'BLANK' /
   MJFIRST   1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 91 'NEVER USED MARIJUANA'
             94 'DON''T KNOW' /
   MJAGE     91 'NEVER USED MARIJUANA' 94 'DON''T KNOW' /
   MJLIVE    1 'Farm, ranch, or small town of less than 2,500 popu'
             2 'Rural type area, 2,500 to 25,000 population'
             3 'Town or city with population between 25,000 and 50'
             4 'City with population over 50,000' 91 'NEVER USED MARIJUANA'
             94 'DON''T KNOW' 98 'BLANK' /
   MJREC     1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago'
             17 'Use in the past 30 days LOGICALLY IMPUTED'
             18 'Use in the past year LOGICALLY IMPUTED'
             19 'Use in lifetime LOGICALLY IMPUTED' 91 'NEVER USED MARIJUANA'
             /
   MJDAY30A  0 'No days in the past 30 days' 91 'NEVER USED MARIJUANA'
             94 'DON''T KNOW' /
   MJTOT     1 '1 or 2 times' 2 '3 to 10 times' 3 '11 to 99 times'
             4 '100 or more times' 91 'NEVER USED MARIJUANA' 98 'BLANK' /
   UNDSTAS2  1 'Yes' 2 'No' 98 'BLANK' /
   VRM9AS2   1 'Yes' 2 'No' 3 'Something else' 98 'BLANK' /
   MRKEAAS2  1 'Yes' 2 'No' 98 'BLANK' /
   VRM10AS2  1 'Yes' 2 'No' 98 'BLANK' /
   INHREAD   1 'Wants interviewer to read questions'
             2 'Wants to do it himself/herself' 98 'BLANK' /
   INHOPP    98 'BLANK' /
   INHFIRST  1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 91 'NEVER USED INHALANTS'
             94 'DON''T KNOW' /
   INHAGE    91 'NEVER USED INHALANTS' 94 'DON''T KNOW' /
   GAS       0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   SPPAINT   0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   AEROS     0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   GLUE      0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   SOLVENT   0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   AMYLNIT   0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   ETHER     0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   NITOXID   0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   ODORIZER  0 'Response not circled' 1 'Response circled' 91 'NEVER USED' /
   INHNEVER  0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   GAS30A    0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   SPPAN30A  0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   AEROS30A  0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   GLUE30A   0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   SOLVN30A  0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   AMLNT30A  0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   ETHER30A  0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   NOX30A    0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   ODR30A    0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   INH30NO   0 'Response not circled' 1 'Response circled'
             91 'NEVER USED INHALANTS' /
   INHREC    1 'within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago'
             17 'Use in the past 30 days LOGICALLY IMPUTED'
             18 'Use in the past year LOGICALLY'
             19 'Use in lifetime LOGICALLY' 91 'NEVER USED INHALANTS' /
   INHTOT    1 '1 or 2 times' 2 '3 to 10 times' 3 '11 to 99 times'
             4 '100 or more times' 91 'NEVER USED INHALANTS' 94 'DON''T KNOW'
             /
   INHODRHR  1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   INHODRUS  1 'Yes' 2 'No' 91 'NEVER USED INHALANTS' 94 'DON''T KNOW'
             98 'BLANK' /
   UNDSTAS3  1 'Yes' 2 'No' 98 'BLANK' /
   VRG10AS3  1 'Yes' 2 'No' 98 'BLANK' /
   MRKEAAS3  1 'Yes' 2 'No' 95 'BAD DATA' 98 'BLANK' /
   VRG11AS3  1 'Yes' 2 'No' 98 'BLANK' /
   HALLOPP   91 'NEVER HAD A CHANCE TO TRY HALLUCINOGENS' 94 'DON''T KNOW'
             98 'BLANK' /
   HALFIRST  1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 91 'NEVER USED HALLUCINOGENS'
             94 'DON''T KNOW' /
   HALLAGE   91 'NEVER USED HALLUCINOGENS' 94 'DON''T KNOW' /
   HALLREC   1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago es'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago'
             17 'Use in the past 30 days LOGICALLY IMPUTED'
             18 'Use in the past year LOGICALLY IMPUTED'
             19 'Use in lifetime LOGICALLY IMPUTED'
             91 'NEVER USED HALLUCINOGENS' 94 'DON''T KNOW' /
   HAL30USE  0 'No days in the past 30 days' 91 'NEVER USED HALLUCINOGENS'
             94 'DON''T KNOW' /
   HALLTOT   1 '1 or 2 times' 2 '3 to 10 times' 3 '11 to 99 times'
             4 '100 or more times' 91 'NEVER USED HALLUCINOGENS'
             94 'DON''T KNOW' /
   HALPCPHR  1 'Yes' 2 'No' 98 'BLANK' /
   PCP       1 'Yes' 2 'No' 91 'NEVER USED PCP' 94 'DON''T KNOW' 98 'BLANK' /
   HALPCP30  0 'No days in the past 30 days' 91 'NEVER USED PCP'
             94 'DON''T KNOW' 98 'BLANK' /
   UNDSTAS4  1 'Yes' 2 'No' 98 'BLANK' /
   VRL10AS4  1 'Yes' 2 'No' 98 'BLANK' /
   MRKEAAS4  1 'Yes' 2 'No' 95 'BAD DATA' 98 'BLANK' /
   VRL11AS4  1 'Yes' 2 'No' 98 'BLANK' /
   COCOPP    91 'NEVER HAD A CHANCE TO TRY COCAINE' 94 'DON''T KNOW'
             98 'BLANK' /
   COCFIRST  1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 91 'NEVER USED COCAINE'
             94 'DON''T KNOW' /
   COCAGE    91 'NEVER USED COCAINE' 94 'DON''T KNOW' /
   COCREC    1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago'
             17 'Use in the past 30 days LOGICALLY IMPUTED'
             18 'Use in the past year LOGICALLY IMPUTED'
             19 'Use in lifetime LOGICALLY IMPUTED' 91 'NEVER USED COCAINE'
             94 'DON''T KNOW' /
   COCUS30A  0 'No days in the past 30 days' 91 'NEVER USED COCAINE'
             94 'DON''T KNOW' /
   COCTOT    1 '1 or 2 times' 2 '3 to 10 times' 3 '11 to 99 times'
             4 '100 or more times' 91 'NEVER USED COCAINE' 94 'DON''T KNOW' /
   UNDSTAS5  1 'Yes' 2 'No' 98 'BLANK' /
   VRC7AS5   1 'Yes' 2 'No' 98 'BLANK' /
   MRKEAAS5  1 'Yes' 2 'No' 95 'BAD DATA' 98 'BLANK' /
   VRC8AS5   1 'Yes' 2 'No' 98 'BLANK' /
   HERKNOW   1 'Yes' 2 'No or not sure' 98 'BLANK' /
   HEROPP    91 'NEVER HAD A CHANCE TO TRY HEROIN' 94 'DON''T KNOW'
             98 'BLANK' /
   HERFIRST  2 'Within the past month' 3 'Within the past six months'
             4 'Six months to a year ago' 5 'More than a year ago'
             6 'More than two years ago' 7 'More than five years ago'
             91 'NEVER USED HEROIN' 94 'DON''T KNOW' /
   HERAGE    91 'NEVER USED HEROIN' 94 'DON''T KNOW' /
   HERREC    1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 18 'Use in the past year LOGICALLY'
             19 'Use in lifetime LOGICALLY IMPUTED' 91 'NEVER USED HEROIN'
             94 'DON''T KNOW' /
   HER30USE  0 'No days in the past 30 days' 91 'NEVER USED HEROIN'
             94 'DON''T KNOW' /
   HERTOT    1 '1 or 2 times' 2 '3 to 10 times' 3 '11 to 99 times'
             4 '100 or more times' 91 'NEVER USED HEROIN' 94 'DON''T KNOW' /
   HERFRNDS  0 'None' 91 'NEVER USED HEROIN' 94 'DON''T KNOW' 98 'BLANK' /
   HERNOADR  0 'None' 91 'NEVER USED HEROIN' 94 'DON''T KNOW' 95 'BAD DATA'
             98 'BLANK' /
   HERNEEDL  1 'Yes' 2 'No' 91 'NEVER USED HEROIN' 94 'DON''T KNOW'
             98 'BLANK' /
   UNDSTAS6  1 'Yes' 2 'No' 98 'BLANK' /
   VRH11AS6  1 'Yes' 2 'No' 98 'BLANK' /
   MRKEAAS6  1 'Yes' 2 'No' 95 'BAD DATA' 98 'BLANK' /
   VRH12AS6  1 'Yes' 2 'No' 98 'BLANK' /
   SPLCOC    1 'Ranked first' 2 'Ranked second' 3 'Ranked third'
             4 'Ranked fourth' 5 'Ranked fifth' 6 'Ranked sixth'
             7 'Ranked seventh' 8 'Ranked eighth' 9 'Ranked ninth'
             91 'NEVER USED COCAINE' 98 'BLANK' /
   SPLHAL    1 'Ranked first' 2 'Ranked second' 3 'Ranked third'
             4 'Ranked fourth' 5 'Ranked fifth' 6 'Ranked sixth'
             7 'Ranked seventh' 8 'Ranked eighth' 9 'Ranked ninth'
             91 'NEVER USED HALLUCINOGENS' 98 'BLANK' /
   SPLCIG    1 'Ranked first' 2 'Ranked second' 3 'Ranked third'
             4 'Ranked fourth' 5 'Ranked fifth' 6 'Ranked sixth'
             7 'Ranked seventh' 8 'Ranked eighth' 9 'Ranked ninth'
             91 'NEVER USED CIGARETTES' 98 'BLANK' /
   SPLHER    2 'Ranked second' 3 'Ranked third' 4 'Ranked fourth'
             5 'Ranked fifth' 6 'Ranked sixth' 7 'Ranked seventh'
             8 'Ranked eighth' 9 'Ranked ninth' 91 'NEVER USED HEROIN'
             98 'BLANK' /
   SPLBEER   1 'Ranked first' 2 'Ranked second' 3 'Ranked third'
             4 'Ranked fourth' 5 'Ranked fifth' 6 'Ranked sixth'
             8 'Ranked eighth' 9 'Ranked ninth' 91 'NEVER USED BEER OR WINE'
             98 'BLANK' /
   SPLLQR    1 'Ranked first' 2 'Ranked second' 3 'Ranked third'
             4 'Ranked fourth' 5 'Ranked fifth' 6 'Ranked sixth'
             7 'Ranked seventh' 9 'Ranked ninth' 91 'NEVER USED HARD LIQUOR'
             98 'BLANK' /
   SPLMJR    1 'Ranked first' 2 'Ranked second' 3 'Ranked third'
             4 'Ranked fourth' 5 'Ranked fifth' 6 'Ranked sixth'
             7 'Ranked seventh' 8 'Ranked eighth'
             91 'NEVER USED MARIJUANA, HASHISH' 98 'BLANK' /
   SPLPILLS  1 'Ranked first' 2 'Ranked second' 3 'Ranked third'
             4 'Ranked fourth' 5 'Ranked fifth' 6 'Ranked sixth'
             7 'Ranked seventh' 8 'Ranked eighth' 9 'Ranked ninth'
             91 'NEVER USED PILLS' 98 'BLANK' /
   SPLINH    1 'Ranked first' 2 'Ranked second' 3 'Ranked third'
             4 'Ranked fourth' 5 'Ranked fifth' 6 'Ranked sixth'
             7 'Ranked seventh' 8 'Ranked eighth' 9 'Ranked ninth'
             91 'NEVER USED INHALANTS' 98 'BLANK' /
   GMJNOHO   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   GMJNONE   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   GMJMED    0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   GMJJOB    0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   GMJFUN    0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   GMJRELAX  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   GMJAWARE  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   GMJCNFDN  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   GMJDEAL   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   GMJSLEEP  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   GMJSEX    0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   GMJAPPET  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   GMJDK     0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   GMJMISC   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   GMJREF1   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJCONTR  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJMEMRY  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJNONE   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJHABIT  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJSTRGR  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJHLTH   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJDIZZY  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJREFLX  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJMOOD   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJHALLU  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJAPTHY  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJJOB    0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJDRIVE  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJILLEG  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJCRIME  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJEXPNS  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJDK     0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJMISC   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   BMJREF1   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY' /
   MJHIGH    1 'Cause person to drive less well' 2 'Make no difference'
             3 'Qualified, hard to tell, need to know more' 4 'No opinion'
             93 'DOES NOT APPLY' 98 'BLANK' /
   MJDRHIGH  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   MJOTHDR   1 'Yes' 2 'No' 93 'DOES NOT APPLY' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   MJPUFFS   1 'Cause person to drive less well' 2 'Make no difference'
             3 'Qualified, hard to know, need to know more' 4 'No opinion'
             93 'DOES NOT APPLY' 98 'BLANK' /
   MJDRPUFF  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   MJOTHPUF  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   MJINVOLV  1 'Same as everybody else' 2 'More than everybody else'
             3 'Less than everybody else' 4 'Qualified' 5 'No opinion'
             93 'DOES NOT APPLY' 98 'BLANK' /
   MJCAREMR  1 'Will make Terry stop caring' 2 'Will make no difference'
             3 'Qualified, hard to tell, need to know more' 4 'No opinion'
             93 'DOES NOT APPLY' 98 'BLANK' /
   MJCRMORE  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   MJOTHMOR  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   MJCARELS  1 'Will make Pat stop caring' 2 'Will make no difference'
             3 'Qualified, hard to know, need to know more' 4 'No opinion'
             93 'DOES NOT APPLY' 98 'BLANK' /
   MJCRLESS  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   MJOTHLES  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   MJWKEND   1 'Will make Robin stop caring' 2 'Will make no difference'
             3 'Qualified, hard to know, need to know more' 4 'No opinion'
             93 'DOES NOT APPLY' 98 'BLANK' /
   MJCRWKEN  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   MJOTHWKN  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   ALHIGH    1 'Would make a person drive badly' 2 'Make no difference'
             3 'Qualified, hard to know, need to know more' 4 'No opinion'
             93 'DOES NOT APPLY' 98 'BLANK' /
   ALDRHIGH  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   ALOTHDR   1 'Yes' 2 'No' 93 'DOES NOT APPLY' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   ALSOME    1 'Would make a person drive badly' 2 'Make no difference'
             3 'Qualified, hard to know, need to know more' 4 'No opinion'
             93 'DOES NOT APPLY' 98 'BLANK' /
   ALDRSOME  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   ALOTHSOM  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   ALOTHDRK  0 'No drinks' 1 'One drink' 2 'Two drinks' 3 'Three drinks'
             4 'Four drinks' 5 'Five drinks' 6 'Six drinks' 7 'Seven drinks'
             8 'Eight drinks or more' 13 'Qualified' 14 'No opinion'
             93 'DOES NOT APPLY' 98 'BLANK' /
   ALYOUDRK  0 'No drinks' 1 'One drink' 2 'Two drinks' 3 'Three drinks'
             4 'Four drinks' 5 'Five drinks' 6 'Six drinks' 7 'Seven drinks'
             8 'Eight drinks or more' 13 'Qualified' 14 'No opinion'
             93 'DOES NOT APPLY' 98 'BLANK' /
   CLOSFRNS  0 'No close friends living in reg' 93 'DOES NOT APPLY'
             94 'DON''T KNOW' 95 'BAD DATA' 98 'BLANK' /
   FRNSHER   0 'No close friends who use heroin' 93 'DOES NOT APPLY'
             94 'DON''T KNOW' 98 'BLANK' /
   FRNSEX    1 'Male' 2 'Female' 93 'DOES NOT APPLY' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   FRNAGE    1 '12-17 years old' 2 '18-25 years old' 3 '26-34 years old'
             4 '35+ years old' 93 'DOES NOT APPLY' 94 'DON''T KNOW'
             98 'BLANK' 99 'LEGITIMATE SKIP' /
   FRNTRYH   1 'Within the past month' 2 'Within the past year'
             3 'More than a year ago' 93 'DOES NOT APPLY' 94 'DON''T KNOW'
             98 'BLANK' 99 'LEGITIMATE SKIP' /
   FRNRECH   1 'Within the past month' 2 'Within the past year'
             3 'More than a year ago' 93 'DOES NOT APPLY' 94 'DON''T KNOW'
             98 'BLANK' 99 'LEGITIMATE SKIP' /
   SEENUSE   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY'
             99 'LEGITIMATE SKIP' /
   CONFESS   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY'
             99 'LEGITIMATE SKIP' /
   TESTMNY   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY'
             99 'LEGITIMATE SKIP' /
   TRACKMRK  0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY'
             99 'LEGITIMTE SKIP' /
   ARREST    0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY'
             99 'LEGITIMATE SKIP' /
   UNPRREF   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY'
             99 'LEGITIBMTE SKIP' /
   UNPRREP   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY'
             99 'LEGITIMATE SKIP' /
   UNPRBEH   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY'
             99 'LEGITIMATE SKIP' /
   UNPROTH   0 'Response not given' 1 'Response given' 93 'DOES NOT APPLY'
             99 'LEGITIMATE SKIP' /
   AMBULANC  0 'Response not given' 93 'DOES NOT APPLY' 99 'LEGITIMATE SKIP'
             /
   DETECOTH  0 'Response not given' 93 'DOES NOT APPLY' 99 'LEGITIMATE SKIP'
             /
   GIVESELL  0 'Response not given' 93 'DOES NOT APPLY' 99 'LEGITIXATE SKIP'
             /
   TREATMNT  0 'Response not given' 93 'DOES NOT APPLY' 99 'LEGITIMATE SKIP'
             /
   OTHKNOW   0 'No friends living in regular HH who know' 93 'DOES NOT APPLY'
             94 'DON''T KNOW' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   LVDHEREA  98 'BLANK' /
   LVDHEREB  1 'Less than one year' 2 'All my life' 93 'DOES NOT APPLY'
             94 'DON''T KNOW' 98 'BLANK' /
   EVRLIVEA  1 'No' 2 'Yes' 4 'Coded in yes' 94 'DON''T KNOW' 98 'BLANK' /
   AGEINA1   98 'BLANK' 99 'LEGITIMATE SKIP' /
   AGEOUTA1  94 'DON''T KNOW' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   AGEINA2   98 'BLANK' 99 'LEGITIMATE SKIP' /
   AGEOUTA2  94 'DON''T KNOW' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   AGEINA3   98 'BLANK' 99 'LEGITIMATE SKIP' /
   AGEOUTA3  98 'BLANK' 99 'LEGITIMATE SKIP' /
   ALLLIFEA  1 'Lived in area like ''A'' all your life' 98 'BLANK' /
   EVRLIVEB  1 'No' 2 'Yes' 4 'Coded in yes' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   AGEINB1   94 'DON''T KNOW' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   AGEOUTB1  94 'DON''T KNOW' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   AGEINB2   98 'BLANK' 99 'LEGITIMATE SKIP' /
   AGEOUTB2  98 'BLANK' 99 'LEGITIMATE SKIP' /
   AGEINB3   98 'BLANK' 99 'LEGITIMATE SKIP' /
   AGEOUTB3  98 'BLANK' 99 'LEGITIMATE SKIP' /
   ALLLIFEB  1 'Lived in area like ''B'' all your life' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   EVRLIVEC  1 'No' 2 'Yes' 4 'Coded in yes' 94 'DON''T KNOW' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   AGEINC1   98 'BLANK' 99 'LEGITIMATE SKIP' /
   AGEOUTC1  94 'DON''T KNOW' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   AGEINC2   98 'BLANK' 99 'LEGITIMATE SKIP' /
   AGEOUTC2  98 'BLANK' 99 'LEGITIMATE SKIP' /
   AGEINC3   98 'BLANK' 99 'LEGITIMATE SKIP' /
   AGEOUTC3  98 'BLANK' 99 'LEGITIMATE SKIP' /
   ALLLIFEC  1 'Lived in area like ''C'' all your life' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   SEX       1 'Male' 2 'Female' /
   HISPANIC  1 'Yes' 2 'No' 98 'BLANK' /
   HISPGRP   1 'Puerto Rican' 2 'Mexican' 3 'Some other group'
             94 'DON''T KNOW' 98 'BLANK' /
   RESPRACE  1 'American Indian' 2 'Alaskan Native' 3 'Asian'
             4 'Pacific Islander' 5 'White' 6 'Black' 7 'Other' 98 'BLANK' /
   RAGEGRP   1 '18-25' 2 '26-49' 3 '50'
             4 'No interview completed in household' /
   ENRLCOLL  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 98 'BLANK' /
   TYPESCHL  1 'College' 2 'Community college' 3 'Vocational school'
             4 'Adult school' 5 'High school' 6 'Other' 93 'DOES NOT APPLY'
             98 'BLANK' 99 'LEGITIMATE SKIP' /
   STUDFTPT  1 'Full-time' 2 'Part-time' 93 'DOES NOT APPLY' 98 'BLANK'
             99 'LEGITIMATE SKIP' /
   EDUC      1 'No schooling' 2 'Elementary school - 5th grade or less'
             3 'Some high school' 4 'High school graduate'
             5 'Some vocational or technical school' 6 'Some college'
             7 'College graduate or beyond' 93 'DOES NOT APPLY' 98 'BLANK' /
   TOTPEOP   0 'No one else' 93 'DOES NOT APPLY' /
   UNDAGE18  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 99 'LEGITIMATE SKIP' /
   UNDAGE6   93 'DOES NOT APPLY' 99 'LEGITIMATE SKIP' /
   AGE612    93 'DOES NOT APPLY' 99 'LEGITIMATE SKIP' /
   AGE1217   93 'DOES NOT APPLY' 99 'LEGITIMATE SKIP' /
   HHPAREN   1 'Yes' 2 'No' 93 'DOES NOT APPLY' 99 'LEGITIMATE SKIP' /
   NUMPAREN  93 'DOES NOT APPLY' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   HHSPOUS   1 'Yes' 2 'No' 93 'DOES NOT APPLY' 99 'LEGITIMATE SKIP' /
   NUMSPOUS  93 'DOES NOT APPLY' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   HHSIBLN   1 'Yes' 2 'No' 93 'DOES NOT APPLY' 99 'LEGITIMATE SKIP' /
   NUMSIBLN  93 'DOES NOT APPLY' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   HHOTREL   1 'Yes' 2 'No' 93 'DOES NOT APPLY' 99 'LEGITIMATE SKIP' /
   NUMOTREL  93 'DOES NOT APPLY' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   HHFRNDS   1 'Yes' 2 'No' 93 'DOES NOT APPLY' 99 'LEGITIMATE SKIP' /
   NUMFRNDS  93 'DOES NOT APPLY' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   HHOTPER   1 'Yes' 2 'No' 93 'DOES NOT APPLY' 99 'LEGITIMATE SKIP' /
   NUMOTPER  93 'DOES NOT APPLY' 98 'BLANK' 99 'LEGITIMATE SKIP' /
   MARITAL   1 'Married' 2 'Living as a couple' 3 'Widowed'
             4 'Divorced or separated' 5 'Never married' 93 'DOES NOT APPLY'
             98 'BLANK' /
   EMPLOYED  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 98 'BLANK' /
   ROCCUP2   1 'Executive, Administrative, and Managerial Occu'
             2 'Professional Specialty Occupations'
             3 'Technicians and Related Support Occupations'
             4 'Sales Occupations' 5 'Administration Support Occupations'
             6 'Private Household Occupations' 8 'Service Occupations'
             9 'Farming, Forestry, and Fishing Occupations'
             11 'Construction Trades' 12 'Extractive Occupations'
             13 'Machine Operators, Assemblers, and Inspectors'
             14 'Transportation and Material Moving Occupations'
             15 'Handlers, Equipment Cleaners, Helpers, Laborers'
             993 'DOES NOT APPLY' 998 'BLANK' 999 'LEGITIMATE SKIP' /
   NOLABOR   1 'Housewife' 2 'Student' 3 'Unemployed' 4 'Retired'
             5 'Disabled' 6 'Housewife and student' 93 'DOES NOT APPLY'
             98 'BLANK' 99 'LEGITIMATE SKIP' /
   CWE       1 'Yes' 2 'No' 3 'No wage earner in household'
             4 'Two or more equal wage earners' 93 'DOES NOT APPLY'
             98 'BLANK' /
   CWEOCC2   1 'Executive, Administrative, and managerial occu'
             2 'Professional Specialty occupations'
             3 'Technicians and Related Support Occupations'
             4 'Sales Occupations' 5 'Administration Support Occupations'
             6 'Private Household Occupations' 8 'Service Occupations'
             9 'Farming, Forestry, and Fishing Occupations'
             11 'Construction Trades' 12 'Extractive Occupations'
             13 'Machine Operators, Assemblers, and Inspectors'
             14 'Transportation and Material Moving Occupations'
             15 'Handlers, Equipment Cleaners, Helpers, and Laborer'
             985 'BAD DATA' 990 'OCCUPATION NOT REPORTED'
             993 'DOES NOT APPLY' 998 'BLANK' 999 'LEGITIMATE SKIP' /
   INCOME    1 'No income' 2 'Under $6,999' 3 '$7,000 - $9,999'
             4 '$10,000 - $14,999' 5 '$15,000 - $19,999'
             6 '$20,000 - $24,999' 7 '$25,000 - $29,999'
             8 '$30,000 - $34,999' 9 '$35,000 or more' 93 'DOES NOT APPLY'
             98 'BLANK' /
   ESTHHIN   1 'Interviewer estimated income' 93 'DOES NOT APPLY' 98 'BLANK'
             /
   YTHSTUD   1 'Yes' 2 'No' 93 'DOES NOT APPLY' /
   YSTDFTPT  1 'Full time' 2 'Part time' 93 'DOES NOT APPLY' 94 'DON''T KNOW'
             98 'BLANK' 99 'LEGITIMATE SKIP' /
   YTHEDUC   1 'Seventh grade or less' 2 'Eighth grade' 3 'Ninth grade'
             4 'Tenth grade' 5 'Eleventh grade' 6 'Twelfth grade'
             7 'Beyond high school' 93 'DOES NOT APPLY' 98 'BLANK' /
   YTOTPEOP  93 'DOES NOT APPLY' /
   MOTHER    1 'Yes' 2 'No' 93 'DOES NOT APPLY' /
   FATHER    1 'Yes' 2 'No' 93 'DOES NOT APPLY' /
   OLDSIBS   1 'Yes' 2 'No' 93 'DOES NOT APPLY' /
   NUMOSIBS  93 'DOES NOT APPLY' 98 'BLANK' /
   YNGSIBS   1 'Yes' 2 'No' 93 'DOES NOT APPLY' /
   NUMYSIBS  93 'DOES NOT APPLY' 98 'BLANK' /
   YTHOTREL  1 'Yes' 2 'No' 93 'DOES NOT APPLY' /
   NUMYOREL  93 'DOES NOT APPLY' 98 'BLANK' /
   YTHOTPER  1 'Yes' 2 'No' 93 'DOES NOT APPLY' /
   NUMYOPER  93 'DOES NOT APPLY' 98 'BLANK' /
   OTHSIBS   1 'Yes' 2 'No' 93 'DOES NOT APPLY' 98 'BLANK' /
   YTHEMPLD  1 'Yes' 2 'No' 3 'No chief wage earner' 93 'DOES NOT APPLY'
             94 'DON''T KNOW' 98 'BLANK' /
   YTHOCCU2  1 'Executive, Administrative, and Managerial Occu'
             2 'Professional Specialty Occupations'
             3 'Technicians and Related Support Occupations'
             4 'Sales Occupations' 5 'Administrative Support Occupations'
             6 'Private Household Occupations' 8 'Service Occupations'
             9 'Farming, Forestry, and Fishing Occupations'
             11 'Construction Trades' 12 'Extractive Occupations'
             13 'Machine Operators, Assemblers, and Inspectors'
             14 'Transportation and Material Moving Occupations'
             15 'Handlers, Equipment Cleaners, Helpers, Laborers'
             985 'BAD DATA Logically assigned' 990 'OCCUPATION NOT REPORTED'
             993 'DOES NOT APPLY' 998 'BLANK' 999 'LEGITIMATE SKIP' /
   YNOLABOR  1 'Housewife' 2 'Student' 3 'Unemployed' 4 'Retired'
             5 'Disabled' 93 'DOES NOT APPLY' 98 'BLANK' 99 'LEGITIMATE SKIP'
             /
   HHAREA    1 'City' 2 'Suburbs right around the city' 3 'Town'
             4 'Suburbs right around the town' 5 'Town'
             6 'Village or town of 2,500 or fewer' 7 'Rural or open country'
             98 'BLANK' /
   MILINSTA  1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   LOGCAMP   1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   COLLEGE   1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   RESORT    1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   CONSTR    1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   RANCH     1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   MIGRANTS  1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   TEMPRES   1 'Yes' 2 'No' 94 'DON''T KNOW' 98 'BLANK' /
   HHTYPE    1 'Free standing, single family house on a farm or ra'
             2 'Other single family house' 3 'Two or three family house'
             4 'Apartment' 5 'Mobile home' 6 'Other' 7 'Condominium'
             98 'BLANK' /
   UNDINT    1 'No difficulty' 2 'Just a little difficulty'
             3 'A fair amount of difficulty' 4 'A lot of difficulty'
             98 'BLANK' /
   COOPINT   1 'Very cooperative' 2 'Fairly cooperative'
             3 'Not too cooperative' 4 'Openly hostile' 98 'BLANK' /
   PRIVACY   1 'Completely private' 2 '.' 3 'Minor distractions' 4 '.'
             5 'Parent in room around 1/3 of time' 6 '.'
             7 'Serious interruptions of privacy more than half of' 8 '.'
             9 'Constant presence of parent' 93 'DOES NOT APPLY'
             94 'DON''T KNOW' 98 'BLANK' /
   ADULTYTH  1 'Adult answered questionnaire'
             2 'Youth answered questionnaire' /
   PAREXAMQ  1 'Yes' 2 'No' 93 'DOES NOT APPLY' 98 'BLANK' /
   ADLTQCD   1 'Form C' 2 'Form N' 94 'DON''T KNOW' /
   QUEXTYPE  1 'Form C' 2 'Form N' /
   TOTHHVIS  94 'DON''T KNOW' 98 'BLANK' /
   FINLRES1  0 'Respondent not at home' 1 'Competed interview'
             4 'Instruction is Do not interview'
             5 'No one age 18 or older in household' 7 'Not at home'
             8 'Other incomplete' 97 'REFUSED' 98 'BLANK' /
   VSADLTCM  94 'DON''T KNOW' 98 'BLANK' /
   PHADLTCM  1 'Original assignment' 2 'Reassignment' 94 'DON''T KNOW'
             98 'BLANK' /
   FINLRES2  1 'Completed interview' 2 'Respondent refused'
             3 'Parent refused' 4 'Refusal, unknown whether youth or parent'
             5 'Respondent not at home' 7 'Other incomplete' 98 'BLANK' /
   VSYTHCM   94 'DON''T KNOW' 98 'BLANK' /
   PHYTHCM   1 'Original assignment' 2 'Reassignment' 94 'DON''T KNOW'
             98 'BLANK' /
   YTHINHH   1 'Yes' 2 'No' 94 'DON''T KNOW' /
   RES1825   0 'None' 94 'DON''T KNOW' /
   RES2649   0 'None' 94 'DON''T KNOW' /
   RES50OVR  0 'None' 94 'DON''T KNOW' /
   AGR1REL1  1 'Self' 2 'Son or daughter' 3 'Brother or sister'
             4 'Spouse or spouse type person' 5 'Friend or roommate'
             6 'Parent or parent-in-law' 7 'Other relative'
             8 'Other nonrelative' 94 'DON''T KNOW' 98 'BLANK' /
   AGR1SEX1  1 'Male' 2 'Female' 94 'DON''T KNOW' 98 'BLANK' /
   AGR1AGE1  94 'DON''T KNOW' 98 'BLANK' /
   AGR1RSP1  0 'No' 1 'Yes' 9 'No adult interview completed' 98 'BLANK' /
   AGR1REL2  1 'Self' 2 'Son or daughter' 3 'Brother or sister'
             4 'Spouse or spouse type' 5 'Friend or roommate'
             7 'Other relative' 8 'Other nonrelatve' 94 'DON''T KNOW'
             98 'BLANK' /
   AGR1SEX2  1 'Male' 2 'Female' 94 'DON''T KNOW' 98 'BLANK' /
   AGR1AGE2  94 'DON''T KNOW' 95 'BAD DATA' 98 'BLANK' /
   AGR1RSP2  0 'No' 1 'Yes' 9 'No adult interview completed' 98 'BLANK' /
   AGR1REL3  1 'Self' 2 'Son or daughter' 3 'Brother or sister'
             4 'Spouse or spouse type person' 5 'Friend or roommate'
             7 'Other relative' 8 'Other nonrelative' 94 'DON''T KNOW'
             98 'BLANK' /
   AGR1SEX3  1 'Male' 2 'Fermle' 98 'BLANK' /
   AGR1AGE3  94 'DON''T KNOW' 98 'BLANK' /
   AGR1RSP3  0 'No' 1 'Yes' 9 'No adult interview completed' 98 'BLANK' /
   AGR1REL4  1 'Self' 2 'Son or daughter' 3 'Brother or sister'
             4 'Spouse or Spouse type person' 5 'Friend or roommate'
             7 'Other relative' 8 'Other nonrelative' 94 'DON''T KNOW'
             98 'BLANK' /
   AGR1SEX4  1 'Male' 2 'Female' 94 'DON''T KNOW' 98 'BLANK' /
   AGR1AGE4  98 'BLANK' /
   AGR1RSP4  0 'No' 1 'Yes' 98 'BLANK' /
   AGR2REL1  1 'Self' 2 'Son or daughter' 3 'Brother or sister'
             4 'Spouse or Spouse type person' 5 'Friend or roommate'
             6 'Parent or parent-in-law' 7 'Other relative'
             8 'Other nonrelative' 94 'DON''T KNOW' 98 'BLANK' /
   AGR2SEX1  1 'Male' 2 'Female' 94 'DON''T KNOW' 98 'BLANK' /
   AGR2AGE1  94 'DON''T KNOW' 98 'BLANK' /
   AGR2RSP1  0 'No' 1 'Yes' 9 'No adult interview completed' 98 'BLANK' /
   AGR2REL2  1 'Self' 2 'Son or daughter' 3 'Brother or sister'
             4 'Spouse or spouse type person' 5 'Friend or roommate'
             6 'Parent or parent-in-law' 7 'other relative'
             8 'Other nonrelative' 94 'DON''T KNOW' 98 'BLANK' /
   AGR2SEX2  1 'Male' 2 'Female' 94 'DON''T KNOW' 98 'BLANK' /
   AGR2AGE2  94 'DON''T KNOW' 98 'BLANK' /
   AGR2RSP2  0 'No' 1 'Yes' 9 'No adult interview completed' 98 'BLANK' /
   AGR2REL3  1 'Self' 2 'Son or daughter' 3 'Brother or sister'
             4 'Spouse or spouse type person' 5 'Friend or roommate'
             6 'Parent or parent-in-law' 7 'other relative' 98 'BLANK' /
   AGR2SEX3  1 'Male' 2 'Female' 94 'DON''T KNOW' 98 'BLANK' /
   AGR2AGE3  94 'DON''T KNOW' 98 'BLANK''' /
   AGR2RSP3  0 'No' 1 'Yes' 9 'No adult interview completed' 98 'BLANK' /
   AGR2REL4  1 'Self' 4 'Spouse or spouse type person' 7 'Other relative'
             98 'BLANK' /
   AGR2SEX4  1 'Male' 2 'Female' 94 'DON''T KNOW' 98 'BLANK' /
   AGR2AGE4  94 'DON''T KNOW' 98 'BLANK' /
   AGR2RSP4  0 'No' 98 'BLANK' /
   AGR3REL1  1 'Self' 2 'Son or daughter' 3 'Brother or sister'
             4 'Spouse or spouse type person' 5 'Friend or roommate'
             6 'Parent or parent-in-law' 7 'Other relative'
             8 'Other nonrelative' 94 'DON''T KNOW' 98 'BLANK' /
   AGR3SEX1  1 'Male' 2 'Female' 94 'DON''T KNOW' 98 'BLANK' /
   AGR3AGE1  994 'DON''T KNOW' 998 'BLANK' /
   AGR3RSP1  0 'No' 1 'Yes' 9 'No adult interview completed' 98 'BLANK' /
   AGR3REL2  1 'Self' 2 'Son or daughter' 3 'Brother or sister'
             4 'Spouse or spouse type person' 5 'Friend or roommate'
             6 'Parent or parent-in-law' 7 'Other relative'
             8 'Other nonrelative' 94 'DON''T KNOW' 98 'BLANK' /
   AGR3SEX2  1 'Male' 2 'Female' 94 'DON''T KNOW' 98 'BLANK' /
   AGR3AGE2  994 'DON''T KNOW' 998 'BLANK' /
   AGR3RSP2  0 'No' 1 'Yes' 9 'No adult interview completed' 98 'BLANK' /
   AGR3REL3  1 'Self' 2 'Son or daughter' 3 'Brother or sister'
             4 'Spouse or spouse type person' 6 'Parent or parent-in-law'
             7 'Other relative' 8 'Other nonrelative' 98 'BLANK' /
   AGR3SEX3  1 'Male' 2 'Female' 98 'BLANK' /
   AGR3AGE3  994 'DON''T KNOW' 998 'BLANK' /
   AGR3RSP3  0 'No' 1 'Yes' 9 'No adult interview completed' 98 'BLANK' /
   AGR3REL4  2 'Son or daughter' 6 'Parent or parent-in-law' 98 'BLANK' /
   AGR3SEX4  1 'Male' 2 'Female' 98 'BLANK' /
   AGR3AGE4  998 'BLANK' /
   AGR3RSP4  0 'No' 98 'BLANK' /
   YTH1217   94 'DON''T KNOW' 98 'BLANK' /
   YTH1REL   1 'Self' 2 'Son or daughter' 3 'Brother or sister'
             4 'Spouse or spouse type person' 5 'Friend or roommate'
             7 'Other relative' 8 'Other nonrelative' 94 'DON''T KNOW'
             98 'BLANK' /
   YTH1SEX   1 'Male' 2 'Female' 94 'DON''T KNOW' 98 'BLANK' /
   YTH1AGE   94 'DON''T KNOW' 98 'BLANK' /
   YTH1RSP   0 'No' 1 'Yes' 9 'No youth interview completed' 98 'BLANK' /
   YTH2REL   1 'Self' 2 'Son or daughter' 3 'Brother or sister'
             4 'Spouse or spouse type person' 5 'Friend or roommate'
             7 'Other relative' 94 'DON''T KNOW' 98 'BLANK' /
   YTH2SEX   1 'Male' 2 'Female' 94 'DON''T KNOW' 98 'BLANK' /
   YTH2AGE   98 'BLANK' /
   YTH2RSP   0 'No' 1 'Yes' 9 'No youth interview completed' 98 'BLANK' /
   YTH3REL   1 'Self' 2 'Son or daughter' 3 'Brother or sister'
             7 'Other relative' 98 'BLANK' /
   YTH3SEX   1 'Male' 2 'Female' 98 'BLANK' /
   YTH3AGE   98 'BLANK' /
   YTH3RSP   0 'No' 1 'Yes' 9 'No youth interview completed' 98 'BLANK' /
   YTH4REL   1 'Self' 3 'Brother or sister' 98 'BLANK' /
   YTH4SEX   1 'Male' 2 'Female' 98 'BLANK' /
   YTH4AGE   98 'BLANK' /
   YTH4RSP   0 'No' 1 'Yes' 9 'No youth interview completed' 98 'BLANK' /
   REGION    1 'Northeast' 2 'North Central' 3 'South' 4 'West' /
   DIVISION  1 'New England/northeast' 2 'Middle atlantic/northeast'
             3 'East north central/north central'
             4 'West north central/north central' 5 'South atlantic/south'
             6 'East south central/south' 7 'West south central/south'
             8 'mountain/west' 9 'Pacific/west' /
   POPDENX   1 'Segment in a self-representing SMSA'
             2 'Segment in a non-self-representing SMSA'
             3 'Segment not in a SMSA' /
   IIAGE     1 'Age from source file' /
   IRSEX     1 'Male' 2 'Female' /
   IISEX     1 'Sex from source file' /
   IRRACEX   1 'American Indian' 2 'Alaskan Native' 3 'Asian'
             4 'Pacific Islander' 5 'White' 6 'Black' 9 'LEGITIMATE SKIP' /
   IIRACEX   1 'Race from source file' 2 'Statistically imputed data'
             9 'LEGITIMATE SKIP' /
   IRHOIND   1 'Hispanic' 2 'Non-Hispanic' /
   IIHOIND   1 'Hispanicity from source-file' 2 'Statistically imputed data'
             /
   IRHOGRP   1 'Puerto Rican' 2 'Mexican' 3 'Cuban' 9 'LEGITIMATE SKIP' /
   IIHOGRP   1 'Hispanic-Origin group from source file'
             2 'Statistically imputed data' 9 'LEGITIMATE SKIP' /
   IRMARIT   1 'Married' 2 'Living as a couple' 3 'Widowed'
             4 'Divorced or separated' 5 'Never married' 9 'LEGITIMATE SKIP'
             /
   IIMARIT   1 'Marital status from source file'
             2 'Statistically imputed data' 9 'LEGITIMATE SKIP' /
   IREDUC    1 'No schooling' 2 'Elementary school - 8th grade or less'
             3 'Some high school' 4 'High school graduate'
             5 'Some vocational or technical school' 6 'Some college'
             7 'College graduate or beyond' 9 'LEGITIMATE SKIP' /
   IIEDUC    1 'Education from source file' 2 'Statistically imputed data'
             9 'LEGITIMATE SKIP' /
   IRALCRC   1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 9 'Never used alcohol' /
   IIALCRC   1 'Questionnaire data' 3 'Statistically imputed data' /
   IRMJRC    1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 9 'Never used marijuana' /
   IIMJRC    1 'Questionnaire data' 3 'Statistically imputed data' /
   IRCOCRC   1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 9 'Never used cocaine' /
   IICOCRC   1 'Questionnaire data' 3 'Statistically imputed data' /
   IRSEDRC   1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 9 'Never used sedatives' /
   IISEDRC   1 'Questionnaire data' 3 'Statistically imputed data' /
   IRTRANRC  1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 9 'Never used tranquilizers' /
   IITRANRC  1 'Questionnaire data' 3 'Statistically imputed data' /
   IRSTIMRC  1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 9 'Never used stimulants' /
   IISTIMRC  1 'Questionnaire data' 3 'Statistically imputed data' /
   IRANALRC  1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 9 'Never used analgesics' /
   IIANALRC  1 'Questionnaire data' 3 'Statistically imputed data' /
   IRCIGRC   1 'In the past 30 days' 2 'Within the past six months'
             3 'Within the past year' 4 'More than a year ago'
             9 'Never smoked cigarettes' /
   IICIGRC   1 'Questionnaire data' 2 'Imputed data'
             3 'Statistically imputed data' /
   IRINHRC   1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 9 'Never used inhalants' /
   IIINHRC   1 'Questionnaire data' 3 'Statistically imputed data' /
   IRHALLRC  1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 9 'Never used hallucinogens' /
   IIHALLRC  1 'Questionnaire data' 3 'Statistically imputed data' /
   IRHERRC   1 'Within the past week' 2 'Within the past month'
             3 'Within the past six months' 4 'Six months to a year ago'
             5 'More than a year ago' 6 'More than two years ago'
             7 'More than five years ago' 9 'Never used heroin' /
   IIHERRC   1 'Questionnaire data' 3 'Statistically imputed data' /
   CATAGE    1 '12-17 years' 2 '18-25 years' 3 '26-34 years' 4 '35+ years' /
   CATAG2    1 '12-17 years' 2 '18-25 years' 3 '26+ years' /
   CATAG3    1 '12-17 years' 2 '18-25 years' 3 '26-34 years' 4 '35-49 years'
             5 '50+ years' /
   RACE      1 'White' 2 'Black' 3 'Hispanic' 4 'Other' /
   HISPRACE  1 'Hispanic' 2 'Non-Hispanic Black' 3 'Non-Hispanic Non-Black' /
   EDUCCAT2  1 'Less than high school' 2 'High school graduate'
             3 'Some colleg/postsec' 4 'College graduate' 5 '12-17 years old'
             /
   HALFLAG   0 'Never used' 1 'Ever used' /
   HALYR     0 'Did not use in the past year' 1 'Used within the past year' /
   HALMON    0 'Did not use in the past month' 1 'Used within the past month'
             /
   STMFLAG   0 'Never used' 1 'Ever used' /
   STMYR     0 'Did not use in the past year' 1 'Used within the past year' /
   STMMON    0 'Did not use in the past month' 1 'Used within the past month'
             /
   SEDFLAG   0 'Never used' 1 'Ever used' /
   SEDYR     0 'Did not use in the past year' 1 'Used within the past year' /
   SEDMON    0 'Did not use in the past month' 1 'Used within the past month'
             /
   TRQFLAG   0 'Never used' 1 'Ever used' /
   TRQYR     0 'Did not use in the past year' 1 'Used within the past year' /
   TRQMON    0 'Did not use in the past month' 1 'Used within the past month'
             /
   ANLFLAG   0 'Never used' 1 'Ever used' /
   ANLYR     0 'Did not use in the past year' 1 'Used within the past year' /
   ANLMON    0 'Did not use in the past month' 1 'Used within the past month'
             /
   ALCFLAG   0 'Never used' 1 'Ever used' /
   ALCYR     0 'Did not use in the past year' 1 'Used within the past year' /
   ALCMON    0 'Did not use in the past month' 1 'Used within the past month'
             /
   CIGFLAG   0 'Never used' 1 'Ever used' /
   CIGYR     0 'Did not use in the past year' 1 'Used within the past year' /
   CIGMON    0 'Did not use in the past month' 1 'Used within the past month'
             /
   HERFLAG   0 'Never used' 1 'Ever used' /
   HERYR     0 'Did not use in the past year' 1 'Used within the past year' /
   HERMON    0 'Did not use in the past month' 1 'Used within the past month'
             /
   MRJFLAG   0 'Never used' 1 'Ever used' /
   MRJYR     0 'Did not use in the past year' 1 'Used within the past year' /
   MRJMON    0 'Did not use in the past month' 1 'Used within the past month'
             /
   COCFLAG   0 'Never used' 1 'Ever used' /
   COCYR     0 'Did not use in the past year' 1 'Used within the past year' /
   COCMON    0 'Did not use in the past month' 1 'Used within the past month'
             /
   INHFLAG   0 'Never used' 1 'Ever used' /
   INHYR     0 'Did not use in the past year' 1 'Used within the past year' /
   INHMON    0 'Did not use in the past month' 1 'Used within the past month'
             /
   PSYFLAG2  0 'Never used' 1 'Ever used' /
   PSYYR2    0 'Did not use within past year' 1 'Used in past year' /
   PSYMON2   0 'Did not use in past month' 1 'Used in past month' /
   SUMFLAG   0 'Never used' 1 'Ever used' /
   SUMYR     0 'Did not use in past year' 1 'Used in past year' /
   SUMMON    0 'Did not use in past month' 1 'Used in past month' /
   MJOFLAG   0 'Never used MJ/has used both MJ & anothr illct drug'
             1 'Marijuana is only drug ever used' /
   MJOYR2    0 'MJ not used past yr/Used MJ & othr drug past yr'
             1 'Marijuana is only drug in past year' /
   MJOMON2   0 'MJ not used past mnth/Used MJ & othr drug past mo'
             1 'Marijuana only drug in past month' /
   IEMFLAG   0 'Never used drug/used only marijuana'
             1 'illicit drug except for marijuana are ever used' /
   IEMYR     0 'Never used drug/used only marijuana past year'
             1 'Illicit drug except for marijuana used past year' /
   IEMMON    0 'Never used drug/used only marijuana past month'
             1 'Illicit drug except for marijuana used past month' /
   .

* SPSS MISSING VALUES COMMAND.

* MISSING VALUES
     IRRACEX
     IIRACEX
     IRHOGRP
     IIHOGRP
     IRMARIT
     IIMARIT
     IREDUC
     IIEDUC (9) /
     CIGMORLS
     CIGTRY
     CIG5PK
     CIGREC
     AVCIG
     HRDHER
     HRDMJ
     HRDCOC
     HRDLSD
     HRDBAR
     HRDTRN
     HRDAMP
     ADDHER
     ADDALC
     ADDMJ
     ADDTOB
     ADDBAR
     ADDTRN
     ADDAMP
     ADDLSD
     ADDCOC
     ADDNONE
     SEDLIKE
     SEDFEEL
     SEDNEED
     SEDREC
     SED30MOA
     SED30MOB
     SED30MOC
     SEDDAL30
     BUTISOL
     BUTICAPS
     AMYTAL
     ESKABARB
     LUMINAL
     MEBARAL
     AMOBARB
     PHENOBAR
     ALURATE
     PLACIDYL
     DORIDEN
     NOLUDAR
     SOPOR
     QUAALUDE
     PAREST
     NOCTEC
     METHAQ
     CHHYD
     NEMBUTAL
     CARBTAL
     SECONAL
     TUINAL
     PENTOB
     SECOB
     DALMANE
     SEDDKNAM
     NOSEDAT
     SEDAGE
     TRNLIKE
     TRNFEEL
     TRNNEED
     TRANREC
     TRN30MOA
     TRN30MOB
     TRN30MOC
     TRNBEN30
     VALIUM
     LIBRIUM
     LIBRITAB
     SKLY
     SERAX
     TRANXENE
     ATIVAN
     VERSTRAN
     MEPRSPAN
     MILTOWN
     EQUANIL
     MEPROB
     VISTAR
     ATARAX
     BENADRYL
     TRDKNAM
     NOTRANQ
     TRANAGE
     STIMLIKE
     STIMFEEL
     STIMNEED
     STIMREC
     STM30MOA
     STM30MOB
     STMRIT30
     STMCYL30
     DEXED
     DEXAMYL
     ESKAT
     BENZ
     BIPHET
     DESOXYN
     DETAMP
     METHI
     OBLA
     TENUATE
     TEPANIL
     DIDREX
     PLEGINE
     PRELUDIN
     PRESATE
     IONAMIN
     PONDIMIN
     VORANIL
     SANOREX
     RITALIN
     CYLERT
     STMDKNAM
     NOSTIMS
     STIMAGE
     ANALLIKE
     ANALFEEL
     ANALNEED
     ANALREC
     ANL30MOA
     ANL30MOB
     ANL30MOC
     ANLTAL30
     DARVON
     DOLENE
     SK65A
     PROPOXY
     LERITINE
     LEVODRO
     PERCODAN
     DEMEROL
     DILAUD
     TYLCOD
     CODEINE
     DOLOP
     WESTODON
     METHDON
     TALWIN
     ANLDKNAM
     ANALNONE
     ANALAGE
     ALCFIRST
     ALCTRY
     ALCREC
     ALCDAYS
     MODR30A
     MODR30DY
     UNDSTAS1
     VRA7AS1
     MRKEAAS1
     VRA8AS1
     MJKNOWN
     MJOPP
     MJFIRST
     MJAGE
     MJLIVE
     MJREC
     MJDAY30A
     MJTOT
     UNDSTAS2
     VRM9AS2
     MRKEAAS2
     VRM10AS2
     INHREAD
     INHOPP
     INHFIRST
     INHAGE
     GAS
     SPPAINT
     AEROS
     GLUE
     SOLVENT
     AMYLNIT
     ETHER
     NITOXID
     ODORIZER
     INHNEVER
     GAS30A
     SPPAN30A
     AEROS30A
     GLUE30A
     SOLVN30A
     AMLNT30A
     ETHER30A
     NOX30A
     ODR30A
     INH30NO
     INHREC
     INHTOT
     INHODRHR
     INHODRUS
     UNDSTAS3
     VRG10AS3
     MRKEAAS3
     VRG11AS3
     HALLOPP
     HALFIRST
     HALLAGE
     HALLREC
     HAL30USE
     HALLTOT
     HALPCPHR
     PCP
     HALPCP30
     UNDSTAS4
     VRL10AS4
     MRKEAAS4
     VRL11AS4
     COCOPP
     COCFIRST
     COCAGE
     COCREC
     COCUS30A
     COCTOT
     UNDSTAS5
     VRC7AS5
     MRKEAAS5
     VRC8AS5
     HERKNOW
     HEROPP
     HERFIRST
     HERAGE
     HERREC
     HER30USE
     HERTOT
     HERFRNDS
     HERNOADR
     HERNEEDL
     UNDSTAS6
     VRH11AS6
     MRKEAAS6
     VRH12AS6
     SPLCOC
     SPLHAL
     SPLCIG
     SPLHER
     SPLBEER
     SPLLQR
     SPLMJR
     SPLPILLS
     SPLINH
     GMJNOHO
     GMJNONE
     GMJMED
     GMJJOB
     GMJFUN
     GMJRELAX
     GMJAWARE
     GMJCNFDN
     GMJDEAL
     GMJSLEEP
     GMJSEX
     GMJAPPET
     GMJDK
     GMJMISC
     GMJREF1
     BMJCONTR
     BMJMEMRY
     BMJNONE
     BMJHABIT
     BMJSTRGR
     BMJHLTH
     BMJDIZZY
     BMJREFLX
     BMJMOOD
     BMJHALLU
     BMJAPTHY
     BMJJOB
     BMJDRIVE
     BMJILLEG
     BMJCRIME
     BMJEXPNS
     BMJDK
     BMJMISC
     BMJREF1
     MJHIGH
     MJDRHIGH
     MJOTHDR
     MJPUFFS
     MJDRPUFF
     MJOTHPUF
     MJINVOLV
     MJCAREMR
     MJCRMORE
     MJOTHMOR
     MJCARELS
     MJCRLESS
     MJOTHLES
     MJWKEND
     MJCRWKEN
     MJOTHWKN
     ALHIGH
     ALDRHIGH
     ALOTHDR
     ALSOME
     ALDRSOME
     ALOTHSOM
     ALOTHDRK
     ALYOUDRK
     CLOSFRNS
     FRNSHER
     FRNSEX
     FRNAGE
     FRNTRYH
     FRNRECH
     SEENUSE
     CONFESS
     TESTMNY
     TRACKMRK
     ARREST
     UNPRREF
     UNPRREP
     UNPRBEH
     UNPROTH
     AMBULANC
     DETECOTH
     GIVESELL
     TREATMNT
     OTHKNOW
     LVDHEREA
     LVDHEREB
     EVRLIVEA
     AGEINA1
     AGEOUTA1
     AGEINA2
     AGEOUTA2
     AGEINA3
     AGEOUTA3
     ALLLIFEA
     EVRLIVEB
     AGEINB1
     AGEOUTB1
     AGEINB2
     AGEOUTB2
     AGEINB3
     AGEOUTB3
     ALLLIFEB
     EVRLIVEC
     AGEINC1
     AGEOUTC1
     AGEINC2
     AGEOUTC2
     AGEINC3
     AGEOUTC3
     ALLLIFEC
     SEX
     HISPANIC
     HISPGRP
     RESPRACE
     RAGEGRP
     ENRLCOLL
     TYPESCHL
     STUDFTPT
     EDUC
     TOTPEOP
     UNDAGE18
     UNDAGE6
     AGE612
     AGE1217
     HHPAREN
     NUMPAREN
     HHSPOUS
     NUMSPOUS
     HHSIBLN
     NUMSIBLN
     HHOTREL
     NUMOTREL
     HHFRNDS
     NUMFRNDS
     HHOTPER
     NUMOTPER
     MARITAL
     EMPLOYED
     NOLABOR
     CWE
     INCOME
     ESTHHIN
     YTHSTUD
     YSTDFTPT
     YTHEDUC
     YTOTPEOP
     MOTHER
     FATHER
     OLDSIBS
     NUMOSIBS
     YNGSIBS
     NUMYSIBS
     YTHOTREL
     NUMYOREL
     YTHOTPER
     NUMYOPER
     OTHSIBS
     YTHEMPLD
     YNOLABOR
     HHAREA
     MILINSTA
     LOGCAMP
     COLLEGE
     RESORT
     CONSTR
     RANCH
     MIGRANTS
     TEMPRES
     HHTYPE
     UNDINT
     COOPINT
     PRIVACY
     ADULTYTH
     PAREXAMQ
     ADLTQCD
     QUEXTYPE
     INTVLEN
     TOTHHVIS
     FINLRES1
     VSADLTCM
     PHADLTCM
     FINLRES2
     VSYTHCM
     PHYTHCM
     YTHINHH
     RES1825
     RES2649
     RES50OVR
     AGR1REL1
     AGR1SEX1
     AGR1AGE1
     AGR1RSP1
     AGR1REL2
     AGR1SEX2
     AGR1AGE2
     AGR1RSP2
     AGR1REL3
     AGR1SEX3
     AGR1AGE3
     AGR1RSP3
     AGR1REL4
     AGR1SEX4
     AGR1AGE4
     AGR1RSP4
     AGR2REL1
     AGR2SEX1
     AGR2AGE1
     AGR2RSP1
     AGR2REL2
     AGR2SEX2
     AGR2AGE2
     AGR2RSP2
     AGR2REL3
     AGR2SEX3
     AGR2AGE3
     AGR2RSP3
     AGR2REL4
     AGR2SEX4
     AGR2AGE4
     AGR2RSP4
     AGR3REL1
     AGR3SEX1
     AGR3RSP1
     AGR3REL2
     AGR3SEX2
     AGR3RSP2
     AGR3REL3
     AGR3SEX3
     AGR3RSP3
     AGR3REL4
     AGR3SEX4
     AGR3RSP4
     YTH1217
     YTH1REL
     YTH1SEX
     YTH1AGE
     YTH1RSP
     YTH2REL
     YTH2SEX
     YTH2AGE
     YTH2RSP
     YTH3REL
     YTH3SEX
     YTH3AGE
     YTH3RSP
     YTH4REL
     YTH4SEX
     YTH4AGE
     YTH4RSP (91 THRU 99) /
     ENCPSU
     ENCSEG
     ROCCUP2
     CWEOCC2
     YTHOCCU2
     AGR3AGE1
     AGR3AGE2
     AGR3AGE3
     AGR3AGE4 (990 THRU 999) /
   .

EXECUTE.

* Create SPSS system file.

*SAVE OUTFILE="spss-filename.sav".
